// Win Funx
// devilducky@gmx.net

#define ClassName "Mayce2D"

#include "Tools.h"
#include "mmsystem.h"
#include "FileTools.h"
#include "WinFunc.h"
#include "graphtool.h"
#include "appmgr.h"

void MWindow::Open( HINSTANCE hNewInst, int CmdShow, LPSTR strSetCmdLine)
{
	WNDCLASS wcMainWnd;

	strCmdLine = strSetCmdLine;
	hInst = hNewInst;
	Enabled = false;
	Active = true;
	LastTicks = timeGetTime();
	posMouse.x = posMouse.y = 0;
	
	wcMainWnd.hCursor = LoadCursor(0, IDC_ARROW);
    wcMainWnd.hIcon = LoadIcon(NULL, MAKEINTRESOURCE(IDI_APPLICATION));
    wcMainWnd.lpszMenuName = NULL;
    wcMainWnd.lpszClassName = ClassName;
    wcMainWnd.hbrBackground = NULL;
    wcMainWnd.hInstance = hInst;
    wcMainWnd.style = CS_VREDRAW | CS_HREDRAW;
    wcMainWnd.lpfnWndProc = WinMsgHandler;
    wcMainWnd.cbClsExtra = 0;
    wcMainWnd.cbWndExtra = 0;
	
    if( !RegisterClass(&wcMainWnd)) Error("RegClass failed");

    hWnd = CreateWindowEx (WS_EX_TOPMOST, ClassName, "Abiventure", WS_POPUP,
						   0, 0, GetSystemMetrics( SM_CXSCREEN ), GetSystemMetrics( SM_CYSCREEN ),
						   NULL, NULL, hInst, NULL );
    Check0( hWnd, "CreateWindow failed");
	
	ShowWindow( hWnd, CmdShow);
	UpdateWindow( hWnd );
	
	Enabled = true;

	Log( "Window created");
}

void MWindow::Close()
{
	Active = false;
	DestroyWindow( hWnd);

	Log ("Window destroyed");
}

void MWindow::Frequent() 
{
	// Time
	Ticks = timeGetTime();
	TickDelta = Ticks - LastTicks;
	LastTicks = Ticks;
}

LRESULT CALLBACK WinMsgHandler( HWND hWndMsg, UINT MsgID,WPARAM ParamW, LPARAM ParamL)
{
	// quit & break processing
	if (MsgID == WM_DESTROY)
	{
		PostQuitMessage (1);
	}
	if (MsgID == WM_ACTIVATE && Win->Enabled)
	{
		Win->Active = (ParamW != WA_INACTIVE);
    }
	// redirect mouse buttons to app mgr
	// store mouse position
	if (Win->Active && (MsgID == WM_MOUSEMOVE || MsgID == WM_LBUTTONDOWN || MsgID == WM_LBUTTONUP || MsgID == WM_RBUTTONDOWN || MsgID == WM_RBUTTONUP))
	{
		Win->posMouse.x = LOWORD (ParamL);
		Win->posMouse.y = HIWORD (ParamL);
	}
	if (Win->Active)
		App->Events (MsgID, ParamW, ParamL);
		
	return DefWindowProc( hWndMsg, MsgID, ParamW, ParamL);
}