// Abiventure app Mgr
// devilducky@gmx.net

#include "speechunit.h"
#include "frame.h"
#include "object.h"
#include "zmap.h"
#include "actor.h"
#include "room.h"
#include "cmd.h"
#include "roommgr.h"
#include "registry.h"
#include "dialog.h"

#define CM_ACTORDONE 0x701
#define CM_TALKDONE 0x702
#define CM_CDNOTIFY 0x703

// nur Savegame-Version !!
#define VERSION 151

class MApplication
{
	public:
	bool bFix;
	int numRooms;
	MRoom *Room;
	MCommandBar *CmdBar;
	MRoom *CurRoom;
	MRoomMgr *RoomMgr;
	MActor *CurActor;
	int numFonts;
	MFont *Font;
	MRegistry *Registry;
	bool bActive;
	DWORD timeTextRemain;
	
	MDialog *CurDialog;
	float fFrameRate;

	void Open ();
	void Close ();
	void Render ();
	void Events (unsigned MsgID, WORD wParam, long lParam);
	MRoom *GetRoom (LPCSTR strRoom);
	MFont *GetFont (LPCSTR strFont);
	void Load (int iPos);
	void Save (int iPos);
};

extern MApplication *App;
