// Mayce wrapper
// devilducky@gmx.net

#include "tools.h"
#include "graphtool.h"

MInterpolation::MInterpolation ()
{

}

void MInterpolation::Start (int posStartX, int posStartY, int posX, int posY)
{
	// Startpos
	posCur.x = posStartX;
	posCur.y = posStartY;

	// Init
	int posDifX = abs (posX - posCur.x);
	int posDifY = abs (posY - posCur.y);

	if (posDifY > posDifX)
	{
		bDirection = true;
		posDelta.x = posDifY + posDifY;
		posDelta.y = posDifX + posDifX;
		iCount = posDifY;
	}
	else
	{
		bDirection = false;
		posDelta.x = posDifX + posDifX;
		posDelta.y = posDifY + posDifY;
		iCount = posDifX;
	}
	iDirX = (posX > posCur.x) ? 1 : -1;
	iDirY = (posY > posCur.y) ? 1 : -1;
}

void MInterpolation::Frame ()
{
	if (bDirection)
	{
		iCount -= posDelta.y;
		posCur.y += iDirY;
		if (iCount <= 0)
		{	
			posCur.x += iDirX;
			iCount += posDelta.x;
		}
	}
	else
	{
		posCur.x += iDirX;	
		iCount -= posDelta.y;
		if (iCount <= 0)
		{
			posCur.y += iDirY;
			iCount += posDelta.x;
		}
	}
}
