// Abiventure app Mgr
// devilducky@gmx.net

// global const
#define SCREEN_ROOM_Y	450

class MRoom
{
	int numObjects;
	MObject *Object;
	
	public:
	POINT posStart;
	int dirStart;
	char *strName;
	int numFrames;
	int numActors;
	int numUnits;
	MSpeechUnit **Unit;
	MActor **Actor;
	MActor *CurActor;
	MFrame *Frame;
	RECT rectPos;
	MZMap *ZMap;
	bool bBlack;
	
	MRoom ();
	~MRoom ();
	void Create ();
	void Destroy ();

	void Load (LPCSTR strFile);
	void Enter (bool bCauseEvent = true);
	void Leave (bool bCauseEvent = true);
	void Render (MImage *imgDest, DWORD timeDelta);
	void AttachActor (MActor *actAttach);
	void DetachActor (MActor *actDetach);
	void AttachUnit (MSpeechUnit *speAttach);
	void DetachUnit (MSpeechUnit *speDetach);
	void MouseMove (POINT &posMouse);
	void Click (POINT &posMouse);
	void LoadGame (FILE *fileLoad, int iVersion);
	void SaveGame (FILE *fileSave);
	void Skip ();

	MFrame *getFrame (LPCSTR strName);
	MActor *getActor (LPCSTR strName);
	MObject *getObject (LPCSTR strName);
};
