// Abiventure Room Mgr
// devilducky@gmx.net

/* Rooms #1 include

 ROOM-Event for

   <Global>
   Flagge
   Aussen
   Kaffee
   TM-Gang
   Spind
   Sport
   CT-Gang
   Nacht1

*/

#include "tools.h"
#include "filetools.h"
#include "graphtool.h"
#include "appmgr.h"
#include "mmsystem.h"
#include "winfunc.h"
#include "rooms.h"

MRooms::MRooms (int iCmdNew, LPCSTR strArgNew[2])
{
	iCmd = iCmdNew;
	bChanged = false;
	strArg[0] = strArgNew[0];
	strArg[1] = strArgNew[1];
}

bool MRooms::All (LPCSTR strRoom)
{
	if (isCmd (CMD_LOOKAT, "iZettel"))
	{
		strcpy (App->RoomMgr->strOldRoom, strRoom);
		EnterRoom ("Zettel");
		return true;
	}
	if (isCmd (CMD_USE, "iPheromone", "iKaffee"))
	{
		Say ("Ich habe die Pheromone in den Kaffee gekippt.");
		Item ("iKaffee")->bVisible = false;
		Item ("iPheromone")->bVisible = false;
		Item ("iPherokaff")->bVisible = true;
		RedrawItems ();
		return true;
	}
	if (isCmd (CMD_USE, "iStange2", "iLandjaeger"))
	{
		Item ("iStange2")->bVisible = false;
		Item ("iLandjaeger")->bVisible = false;
		Item ("iStange1")->bVisible = true;
		RedrawItems ();
		return true;
	}
	if (isCmd (CMD_USE, "iStange1", "iLandjaeger"))
	{
		Item ("iStange1")->bVisible = false;
		Item ("iLandjaeger")->bVisible = false;
		Item ("iStange3")->bVisible = true;
		RedrawItems ();
		return true;
	}
	if (isCmd (CMD_USE, "iUsaShirt", "iSchere"))
	{
		Say ("Ich habe die USA-Flagge ausgeschnitten.");
		Item ("iUsaShirt")->bVisible = false;
		Item ("iFlagge")->bVisible = true;
		RedrawItems ();
		return true;
	}
	if (isCmd (CMD_USE, "iZigaretten"))
	{
		if (!_stricmp (strRoom, "schulhof") || !_stricmp (strRoom, "schulhoflite") ||
			!_stricmp (strRoom, "aussen") || !_stricmp (strRoom, "sportaussen"))
		{
			Item ("iKippe")->bVisible = true;
			RedrawItems ();
		}
		else
			Say ("Doch nicht hier.");
		return true;
	}
	if (isCmd (CMD_USE, "iWeck") && _stricmp (strRoom, "ctgang"))
	{
		Say ("N nicht jetzt.");
		return true;
	}
	if (isCmd (CMD_USE, "iKaugummis") && !Item ("iKaugummi")->bVisible)
	{
		Say ("Njamm...");
		Item ("iKaugummi")->bVisible = true;
		RedrawItems ();
		return true;
	}
	if (isCmd (CMD_USE, "iDevil"))
	{
		if (!_stricmp (strRoom, "Tafel1"))
		{
			Say ("Ui--Flaaash#Moment was ist das ?!");
			Wait (1000);
			App->CurRoom->bBlack = true;
			Wait (3000);
			App->CurRoom->bBlack = false;
			EnterRoom ("Tafel2");
			PlaySound ("sound\\tada.wav", NULL, SND_FILENAME |SND_ASYNC );
			Say ("Das ist es !#Die geheimen Zeichen !");
		}
		else
		{
			Say ("Ui--Flaaash#Ich fliege ber 1000 Triggerflanken#mit Grne Hasen drauf naaaaaaahhh");
			Wait (1000);
			App->CurRoom->bBlack = true;
			Wait (6000);
			App->CurRoom->bBlack = false;
			Say ("Was ? schon vorbei ?#War aber ein schneller Flash#Das Zeug muss doch noch einen#anderen Sinn haben...");
		}
		return true;
	}
	
	return false;
}

bool MRooms::Zettel ()
{
	if (iCmd == CMD_ENTER && !App->Registry->Exists ("ZettelGesehen"))
	{
		App->Registry->Add ("ZettelGesehen");
	}

	if (isCmd (CMD_WALK, "oExit1") || isCmd (CMD_WALK, "oExit2"))
	{
		EnterRoom (App->RoomMgr->strOldRoom);
		return true;
	}
	return false;
}

bool MRooms::Aussen ()
{
	if (iCmd == CMD_ENTER)
	{
		if (App->Registry->Exists ("nacht"))
			Object ("oNacht")->bVisible = true;
	}
	if (isCmd (CMD_LOOKAT, "oFlagge"))
	{
		EnterRoom ("Flagge");
		return true;
	}
	if (isCmd (CMD_WALK, "oSchule"))
	{
		if (App->Registry->Exists ("Pause"))
			EnterRoom ("Schulhof");
		else
			EnterRoom ("SchulhofLite");
		return true;
	}
	if (isCmd (CMD_WALK, "oDaimon"))
	{
		if (Item ("iFormelTM")->bVisible && Item ("iFormelTE")->bVisible && Item ("iFormelC")->bVisible &&
			Item ("iFormelP")->bVisible && Item ("iFormelM")->bVisible && Item ("iWasser")->bVisible)
			EnterRoom ("Daimon1");
		else
			Say ("Ich bin noch nicht bereit dazu.");

		return true;
	}
	return false;
}

bool MRooms::Flagge ()
{
	if (iCmd == CMD_ENTER)
	{
		if (App->Registry->Exists ("Flagge"))
		{
			App->Registry->Remove ("Flagge");
			Wait (2000);
			Frame ("fFlagge")->bVisible = false;
			Wait (1000);
			Item ("iFlagge")->bVisible = true;
			Say ("Was war das fr ein Schrei ?");
			App->bActive = true;
			RedrawItems ();
		}
		return true;
	}
	if (isCmd (CMD_USE, "oFlagge", "iFlagge"))
	{
		Item ("iFlagge")->bVisible = false;
		Wait (1000);
		Frame ("fFlagge")->bVisible = true;
		RedrawItems ();
		Wait (2000);
		if (App->Registry->getData ("Oben") == 1)
		{
			App->CurRoom->bBlack = true;
			Wait (500);
			Say ("Whrenddessen, ");
			Wait (2000);
			App->CurRoom->bBlack = false;
			App->Registry->Add ("Flagge");
			App->bActive = false;
			EnterRoom ("Englisch");
		}
		else
		{
			Say ("Nichts passiert");

			Wait (2000);
			Frame ("fFlagge")->bVisible = false;
			Wait (1000);
			Item ("iFlagge")->bVisible = true;
			RedrawItems ();
		}
		return true;
	}
	return false;
}

bool MRooms::Sport ()
{
	if (iCmd == CMD_ENTER)
	{
		POINT posStart = { 323, 369 };
		App->CurActor->Set (posStart, 3);

		if (App->Registry->Exists ("MacZettel"))
		{
			Actor ("aMac")->bVisible = true;
		}
		if (!Item ("iNike")->bVisible)
		{
			Wait (600);
			Object ("oKesch")->Text->Add ("Waaas ? keine Sportschuhe ?#Du weisst was mit dem passiert, der#die Halle mit Strassenschuhen%betritt ?!", true, 1);
			App->bActive = false;
		}
		else if (App->Registry->Exists ("MacZettel"))
		{
			Actor ("aMac")->Text->Cancel ();
			Object ("oKesch")->Text->Cancel ();
			Actor ("aMac")->Text->Add ("Hier ist meine Entschuldigung.", true, 10);
		}
		return true;
	}
	if (isCmd (CMD_EVENT, "#1"))
	{
		App->CurActor->Text->Add ("Nicht direkt.", true, 2);
		return true;
	}
	if (isCmd (CMD_EVENT, "#2"))
	{
		Object ("oKesch")->Text->Add ("Dann lies die HALLENORDNUNG !!", true, 3);
		return true;
	}
	if (isCmd (CMD_EVENT, "#3"))
	{
		App->CurActor->Text->Add ("Wie denn, wenn ich die Halle#nicht betreten darf ?", true, 4);
		return true;
	}
	if (isCmd (CMD_EVENT, "#4"))
	{
		Object ("oKesch")->Text->Add ("Raus !!", true, 5);
		return true;
	}
	if (isCmd (CMD_EVENT, "#5"))
	{
		Wait (400);
		POINT posWalk = { 269, 352 };
		Say ("(Bh.)");
		App->CurActor->WalkTo (posWalk, 2, 6);
		return true;
	}
	if (isCmd (CMD_EVENT, "#6"))
	{
		App->bActive = true;
		App->CurActor->Text->Cancel ();
		EnterRoom ("SportAussen");
		return true;
	}
	if (isCmd (CMD_EVENT, "#10"))
	{
		Object ("oKesch")->Text->Add ("Von wann ist die denn...#Hmmm das war vor 2 Wochen#WAAS ?#VOR 2 WOCHEN ?#Warum krieg ich die jetzt ?", true, 11);
		return true;
	}
	if (isCmd (CMD_EVENT, "#11"))
	{
		Actor ("aMac")->Text->Add ("hhhmm...#Es waren keine gelben Zettel da ?", true, 12);
		return true;
	}
	if (isCmd (CMD_EVENT, "#12"))
	{
		Object ("oKesch")->Text->Add ("Also komm, das ist ja#wirklich eine billige Entschuldigung.#Warum hast du's mir dann#nicht einfach gesagt ?#Oder auf nen anderen Zettel#geschrieben ?#Und ausserdem war da#...LEISTUNGSABNAHME !#Das heisst, du brauchst#ein Attest !#Aber komm mir nicht mir nicht#morgen mit einem an !#Ich weiss genau dass du#blau gemacht hast.", true, 13);
		return true;
	}
	if (isCmd (CMD_EVENT, "#13"))
	{
		Actor ("aMac")->Text->Add ("Ja toll, und was soll#ich jetzt machen ?", true, 14);
		return true;
	}
	if (isCmd (CMD_EVENT, "#14"))
	{
		Object ("oKesch")->Text->Add ("Bohr dir 'n Loch ins Knie#und fll Maggi rein#Und dann kommst du nachsitzen.", true, 15);
		return true;
	}
	if (isCmd (CMD_EVENT, "#15"))
	{
		Actor ("aMac")->Text->Add ("Wieso mssen sie stndig#diese beleidigenden Bemerkungen#von sich geben ?#Ich verklag sie nmlich !#So !", true, 16);
		return true;
	}
	if (isCmd (CMD_EVENT, "#16"))
	{
		Object ("oKesch")->Text->Add ("...<bla>...", true, 17);
		return true;
	}
	if (isCmd (CMD_EVENT, "#17"))
	{
		Actor ("aMac")->Text->Add ("...<bla>...", true, 16);
		return true;
	}
	
	if ( App->Registry->Exists ("MacZettel") && (isCmd (CMD_TALKTO, "aMac") || isCmd (CMD_TALKTO, "oKesch")))
	{
		Say ("Er redet gerade.#Ich stre da lieber nicht.");
		return true;
	}
	if (isCmd (CMD_LOOKAT, "oZettel"))
	{
		Say ("Hallenordnung:#1.#Das Betreten der Halle in%Strassenschuhen#wird mit Todesstrafe geahndet.#2.#In der Sporthalle ist nur die#Fortbewegung auf allen Vieren erlaubt.#3.#In der Halle ist nur die#Fortbewegungung entlang#der grnen Linien erlaubt.#<...> (das geht noch ewig so weiter)");
		return true;
	}
	if (isCmd (CMD_PICKUP, "oSchluessel"))
	{
		if (App->Registry->Exists ("MacZettel"))
		{
			Say ("Yes !");
			Item ("iSchluessel")->bVisible = true;
			Frame ("fSchluessel")->bVisible = true;
			Object ("oSchluessel")->bVisible = false;
			RedrawItems ();
		}
		else
			Object ("oKesch")->Text->Add ("Finger weg !!!");

		return true;
	}
	return false;
}

bool MRooms::TM ()
{
	MIndex idxSchraub;
	DWORD timeWait;

	if (isCmd (CMD_WALK, "oExit"))
	{
		if (App->Registry->Exists ("Pause"))
			EnterRoom ("Aula");
		else
			EnterRoom ("AulaLite");
		return true;
	}
	if (isCmd (CMD_USE, "oTMTuer", "iMsShirt"))
	{
		App->bActive = false;
		POINT posWalk = {590, 420};
		Say ("(Hehe...)");
		Wait (500);
		App->CurActor->WalkTo (posWalk, 3, 1);
		return true;
	}
	if (isCmd (CMD_EVENT, "#1"))
	{
		POINT posWalk = {500, 420};
		Frame ("fTMTuer")->bVisible = true;
		Item ("iMsShirt")->bVisible = false;
		RedrawItems ();
		Wait (1000);
		App->CurActor->WalkTo (posWalk, 3, 2);
		return true;
	}
	if (isCmd (CMD_EVENT, "#2"))
	{
		POINT posSpawn = {260, 299};
		POINT posWalk = {582, 430};
		Object ("tFeist")->Text->Add ("???%Was ist das ??");
		Wait (1500);
		Actor ("aFuss")->Set (posSpawn, 3);
		Actor ("aFuss")->bVisible = true;
		Actor ("aFuss")->WalkTo (posWalk, 3, 3);
		Actor ("aFuss")->Text->Add ("Ein Microsoft-Shirt !%Hinterher !");
		return true;
	}
	if (isCmd (CMD_EVENT, "#3"))
	{
		Object ("tFeist")->Text->Cancel ();
		Frame ("fTMHand")->bVisible = true;
		Frame ("fTMTuer")->bVisible = false;
		Actor ("aFuss")->Text->Add ("<krchz> Los-Loslassen !", true, 4);
		return true;
	}
	if (isCmd (CMD_EVENT, "#4"))
	{
		Object ("tFeist")->Text->Add ("Nix gibts ! Du kommst mit.");
		Wait (1000);
		Frame ("fTMHand")->bVisible = false;
		Actor ("aFuss")->bVisible = false;
		PlaySound ("sound\\doorslam.wav", NULL, SND_FILENAME |SND_ASYNC );
		Wait (1000);
		Say ("(Puuh)");
		App->Registry->Add ("FussWeg");
		App->bActive = true;
		return true;
	}
		
	if (isCmd (CMD_OPEN, "oDummyTuer") || isCmd (CMD_CLOSE, "oDummyTuer"))
	{
		Say ("Sie ist abgeschlossen");
		return true;
	}
	if (isCmd (CMD_CLOSE, "oTMTuer"))
	{
		Say ("Sie ist schon zu.");
		return true;
	}
	if (isCmd (CMD_OPEN, "oTMTuer"))
	{
		switch (App->Registry->getData ("Feist"))
		{
		case 0:
			Frame ("fTMTuer")->bVisible = true;
			Object ("tFeist")->Text->Add ("Tr zu ! Mir mache hier Unterricht !");
			Wait (1800);
			PlaySound ("sound\\doorslam.wav", NULL, SND_FILENAME |SND_ASYNC );
			Frame ("fTMTuer")->bVisible = false;
			App->Registry->setData ("Feist", 1);
			break;
		case 1:
			Frame ("fTMTuer")->bVisible = true;
			Object ("tFeist")->Text->Add ("Ich sagte : Tr zu !");
			Wait (500);
			Frame ("fFormelTM")->bVisible = true;
			
			// throw it !
			timeWait = timeGetTime ();
			for (idxSchraub = 0; idxSchraub < 59; idxSchraub++)
			{
				Frame ("fFormelTM")->posX -= 2;
				Wait (10);
			}
			Wait (50);
			Say ("Hey !!");
			for (idxSchraub = 0; idxSchraub < 75; idxSchraub++)
			{
				Frame ("fFormelTM")->posY += 4;
				Wait (10);
			}
			Frame ("fFormelTM")->posY = 400;
			Frame ("fFormelTM")->posZ = 10;
			Frame ("fTMTuer")->bVisible = false;
			PlaySound ("sound\\doorslam.wav", NULL, SND_FILENAME |SND_ASYNC );
			Object ("oFormel")->bVisible = true;
			App->Registry->setData ("Feist", 2);
			break;
		case 2:
			Frame ("fTMTuer")->bVisible = true;
			Object ("tFeist")->Text->Add ("Schon wieder ? Na warte !!!");
			Wait (500);
			Frame ("fSchraub")->bVisible = true;
			
			// throw it !
			timeWait = timeGetTime ();
			for (idxSchraub = 0; idxSchraub < 58; idxSchraub++)
			{
				Frame ("fSchraub")->posX -= 2;
				Wait (10);
			}
			Wait (50);
			PlaySound ("sound\\doing.wav", NULL, SND_FILENAME |SND_ASYNC );
			Say ("AUA !!");
			for (idxSchraub = 0; idxSchraub < 78; idxSchraub++)
			{
				Frame ("fSchraub")->posY += 4;
				Wait (10);
			}
			PlaySound ("sound\\doing.wav", NULL, SND_FILENAME |SND_ASYNC );
			Frame ("fSchraub")->posY = 414;
			Frame ("fSchraub")->posZ = 10;
			Wait (200);
			PlaySound ("sound\\doorslam.wav", NULL, SND_FILENAME |SND_ASYNC );
			Frame ("fTMTuer")->bVisible = false;
			Object ("oSchraub")->bVisible = true;
			App->Registry->setData ("Feist", 3);
			break;
		case 3:
			Say ("Lieber nicht, mein Kopf tut jetzt noch weh...");
			break;
		}
		return true;
	}

	return false;
}

bool MRooms::Spind ()
{
	if (iCmd == CMD_ENTER)
	{
		Actor ("aFuss")->bVisible = false;
		return true;
	}

	if (isCmd (CMD_OPEN, "oDummySpind") || (isCmd (CMD_CLOSE, "oDummySpind")))
	{
		Say ("Er ist abgeschlossen.");
		return true;
	}
	if (isCmd (CMD_CLOSE, "oSpind"))
	{
		if (!Frame ("fSpind")->bVisible)
			Say ("Er ist schon zu");
		else
		{
			PlaySound ("sound\\doorslam.wav", NULL, SND_FILENAME |SND_ASYNC );
			Object ("oZettel")->bVisible = false;
			Frame ("fZettel")->bVisible = false;
			Object ("oMastercard")->bVisible = false;
			Frame ("fMastercard")->bVisible = false;
			Object ("oNike")->bVisible = false;
			Frame ("fNike")->bVisible = false;
			Frame ("fSpind")->bVisible = false;
		}
		return true;
	}
	
	if (isCmd (CMD_OPEN, "oSpind"))
	{
		if (Frame ("fSpind")->bVisible)
			Say ("Er ist schon offen");
		else
		{
			PlaySound ("sound\\dooropen.wav", NULL, SND_FILENAME |SND_ASYNC );
			Frame ("fSpind")->bVisible = true;
			if (!Item ("iZettel")->bVisible)
			{
				Object ("oZettel")->bVisible = true;
				Frame ("fZettel")->bVisible = true;
			}
			if (!Item ("iNike")->bVisible)
			{
				Object ("oNike")->bVisible = true;
				Frame ("fNike")->bVisible = true;
			}
			if (!Item ("iMastercard")->bVisible)
			{
				Object ("oMastercard")->bVisible = true;
				Frame ("fMastercard")->bVisible = true;
			}
		}
		return true;
	}

	if (isCmd (CMD_PICKUP, "oMastercard"))
	{
		if (App->Registry->Exists ("FussWeg"))
			Object ("oMastercard")->bEnabled = true;
		else
		{
			if (!Actor ("aFuss")->bVisible)
			{
				Wait (100);
				POINT posStart = { 788,438 }, posWalk = { 495, 420 };
				Actor ("aFuss")->Set (posStart, 2);
				Actor ("aFuss")->bVisible = true;
				Actor ("aFuss")->WalkTo (posWalk, 2);
				App->CurActor->dirCur = 3;
			}
			Actor ("aFuss")->Text->Add ("hhh Moment.#Das das gehrt mir.");
			return true;
		}
	}
	
	if (isCmd (CMD_GIVE, "iMsShirt", "aFuss"))
	{
		Actor ("aFuss")->Text->Add ("Jaaa ich will's haaben !!", true, 1);
		return true;
	}
	if (isCmd (CMD_EVENT, "#1"))
		Say ("(Nee so einfach mach ich's ihm nicht...)");

	return false;
}

bool MRooms::Kaffee ()
{
	if (iCmd == CMD_ENTER)
	{
		Frame ("fKaffeeleute")->bVisible = App->Registry->Exists ("Pause");
		Object ("oKaffeeleute")->bVisible = App->Registry->Exists ("Pause");
		return true;
	}
	if (isCmd (CMD_WALK, "oAula"))
	{
		if (App->Registry->Exists ("Pause"))
			EnterRoom ("Aula");
		else
			EnterRoom ("AulaLite");
		return true;
	}
	if (isCmd (CMD_USE, "oAutomat") || isCmd (CMD_USE, "oAutomat", "iGeld"))
	{
		App->CurDialog->Open ("dialogs\\kaffeeautomat.dlg");
		return true;
	}
	if (isCmd (CMD_WALK, "oTuer"))
	{
		if (Item ("iTasse")->bVisible || Item ("iKaffee")->bVisible)
			Say ("Ich hab schon eine Tasse.");
		else
		{
			Say ("Ich hole mir eine Tasse");
			App->CurActor->bVisible = false;
			Wait (2500);
			App->CurActor->bVisible = true;
			Item ("iTasse")->bVisible = true;
			RedrawItems ();
		}
		return true;
	}
	
	if (isCmd (CMD_USE, "oAutomat", "iTasse"))
	{
		if (Item ("iGeld")->bVisible)
		{
			Item ("iTasse")->bVisible = false;
			RedrawItems ();
			Wait (500);
			PlaySound ("sound\\kaffee.wav", NULL, SND_FILENAME |SND_SYNC );
			Wait (500);
			Say ("Ich hasse diesen Kaffee");
			Item ("iKaffee")->bVisible = true;
			RedrawItems ();
		}
		else
			Say ("Ich habe kein Geld.");
		return true;
	}

	if (isCmd (CMD_EVENT, "#1"))
	{
		PlaySound ("sound\\jackpot.wav", NULL, SND_FILENAME |SND_ASYNC );
		Say ("Jackpot !!!!#Ui das hrt ja gar nicht mehr auf...");
		Item ("iGeld")->bVisible = true;
		RedrawItems ();
		return true;
	}
	return false;
}

bool MRooms::CT ()
{
	if (isCmd (CMD_LOOKAT, "oUhr"))
	{
		if (App->Registry->Exists ("Pause"))
			Say ("Es ist gerade Pause");
		else
			Say ("Es ist gerade Unterrichtszeit");
		return true;
	}
	if (iCmd == CMD_ENTER)
	{
		if (!App->Registry->getData ("muellersong") && Object("oMueller")->Text->isEmpty () && Object("oMueller")->bVisible)
			Object ("oMueller")->Text->Add ("Ach wie gut dass niemand weiss,#wie das Versteck meiner Millionen heisst !#3 Knpfe sind es, die zu drcken#bringen mir den Jackpotrcken#Moment, das gibt keinen Sinn#Aber Hauptsache, es reimt sich.", true, 1);
	}
	if (isCmd (CMD_EVENT, "#1"))
	{
		if (!App->Registry->Exists ("muellersong"))
			App->Registry->Add ("muellersong", 0);
		else
			App->Registry->setData ("muellersong", 1);

		return true;
	}
	if (isCmd (CMD_USE, "iWeck"))
	{
		App->bActive = false;
		App->CurActor->WalkTo (Object ("oMueller")->posWalk, Object("oMueller")->dirWalk, 2);
		Object ("oMueller")->Text->Cancel ();
		return true;
	}
	if (isCmd (CMD_EVENT, "#2"))
	{
		Wait (500);
		Item ("iWeck")->bVisible = false;
		RedrawItems ();
		App->CurActor->Text->Add ("Njam njam...", true, 3);
		return true;
	}
	if (isCmd (CMD_EVENT, "#3"))
	{
		CDCommand ("play cdaudio from 3 to 4");
		Object ("oMueller")->Text->Add ("WAAAAAS ERLAUBST DU DIR ?#Diese TG-Schler meinen immer%sie wren was besseres !#Denken, dass die Regeln nicht fr sie gelten !#Aber DU weisst, was mit Heiko passiert ist#MACH DICH BEREIT FR DEN KAMPF !!!", true, 4);
		return true;
	}
	if (isCmd (CMD_EVENT, "#4"))
	{
		App->CurActor->Text->Add ("Uh-oh.", true, 5);
		return true;
	}
	if (isCmd (CMD_EVENT, "#5"))
	{
		Frame ("fZensiert")->bVisible = true;
		MSpeechUnit *Bang[3];
		Bang [0] = new MSpeechUnit (App->GetFont ("white"), 0);
		Bang [1] = new MSpeechUnit (App->GetFont ("red"), 0);
		Bang [2] = new MSpeechUnit (App->GetFont ("green"), 0);
		App->CurRoom->AttachUnit (Bang[0]);
		App->CurRoom->AttachUnit (Bang[1]);
		App->CurRoom->AttachUnit (Bang[2]);
		Object ("oMueller")->Text->Add ("Nimm das !");
		Wait (500);
		Bang [0]->Set (300, 200);
		Bang [0]->Add ("*BANG*#*KNOCK*#*BANG*#*KNOCK*");
		PlaySound ("sound\\punch.wav", NULL, SND_FILENAME |SND_ASYNC );
		Wait (500);
		Bang [1]->Set (360, 240);
		Bang [1]->Add ("*BANG*#*BUMM*#*QUAAK*#*QUAAK*");
		Say ("Ahhh !!");
		PlaySound ("sound\\punchface.wav", NULL, SND_FILENAME |SND_ASYNC );
		Wait (500);
		Bang [2]->Set (250, 300);
		Bang [2]->Add ("*KNOCK*#*BANG*#*BUMM*#*BANG*");
		PlaySound ("sound\\punchface.wav", NULL, SND_FILENAME |SND_ASYNC );
		Wait (500);
		Bang [0]->Set (400, 300);
		PlaySound ("sound\\punch.wav", NULL, SND_FILENAME |SND_ASYNC );
		Wait (500);
		Object ("oMueller")->Text->Add ("Und das !");
		Bang [1]->Set (300, 250);
		PlaySound ("sound\\punchface.wav", NULL, SND_FILENAME |SND_ASYNC );
		Wait (500);
		Say ("Gnade !");
		Wait (500);
		PlaySound ("sound\\punch.wav", NULL, SND_FILENAME |SND_ASYNC );
		Bang [2]->Set (350, 200);
		Wait (500);
		Bang [0]->Set (180, 300);
		PlaySound ("sound\\punch.wav", NULL, SND_FILENAME |SND_ASYNC );
		Wait (500);
		Bang [1]->Set (300, 200);
		PlaySound ("sound\\punchface.wav", NULL, SND_FILENAME |SND_ASYNC );
		Wait (500);
		Bang [2]->Set (400, 250);
		Wait (500);
		Object ("oMueller")->Text->Add ("Niemals !");
		PlaySound ("sound\\punch.wav", NULL, SND_FILENAME |SND_ASYNC );
		Wait (500);
		Bang [0]->Set (400, 150);
		PlaySound ("sound\\punch.wav", NULL, SND_FILENAME |SND_ASYNC );
		Wait (500);
		Bang [1]->Set (200, 200);
		PlaySound ("sound\\punchface.wav", NULL, SND_FILENAME |SND_ASYNC );
		Wait (500);
		Bang [2]->Set (250, 250);
		Wait (500);
		Bang [0]->Set (340, 220);
		PlaySound ("sound\\punch.wav", NULL, SND_FILENAME |SND_ASYNC );
		Wait (500);
		Bang [1]->Set (270, 320);
		PlaySound ("sound\\punchface.wav", NULL, SND_FILENAME |SND_ASYNC );
		Wait (500);
		Bang [2]->Set (200, 250);
		PlaySound ("sound\\punch.wav", NULL, SND_FILENAME |SND_ASYNC );
		Wait (500);
		Say ("AAAAAAAAAAAAAAAAAAAAAAA");
		PlaySound ("sound\\punchface.wav", NULL, SND_FILENAME |SND_ASYNC );
		Wait (500);
		Bang [0]->Set (180, 300);
		PlaySound ("sound\\punch.wav", NULL, SND_FILENAME |SND_ASYNC );
		Wait (500);
		Bang [1]->Set (300, 200);
		PlaySound ("sound\\punchface.wav", NULL, SND_FILENAME |SND_ASYNC );
		Wait (500);
		Bang [2]->Set (400, 250);
		Wait (1000);
		App->CurRoom->bBlack = true;
		Frame ("fZensiert")->bVisible = false;
		Frame ("fCTTuer")->bVisible = true;
		Object ("oMueller")->bVisible = false;
		Object ("oCTRaum")->bVisible = true;
		Wait (10000);
		Say ("Wo bin ich ?");
		CDCommand ("play cdaudio from 4 to 5");
		Wait (5000);
		Say ("Bin ich tot ?");
		Wait (7000);
		App->CurRoom->DetachUnit (Bang[0]);
		App->CurRoom->DetachUnit (Bang[1]);
		App->CurRoom->DetachUnit (Bang[2]);
		delete Bang[0];
		delete Bang[1];
		delete Bang[2];
		App->CurRoom->bBlack = false;
		EnterRoom ("hm");
		App->bActive = true;
		return true;
	}
	if (isCmd (CMD_WALK, "oCTRaum"))
	{
		App->CurActor->Text->Add ("Mal schauen, was ich hier so finde", true, 6);
		App->bActive = false;
		return true;
	}
	if (isCmd (CMD_EVENT, "#6"))
	{
		App->CurActor->bVisible = false;
		Wait (500);
		Say ("Aha !");
		Wait (500);
		Item ("iMsShirt")->bVisible = true;
		RedrawItems ();
		Wait (1000);
		App->CurActor->bVisible = true;
		App->bActive = true;
		Say ("Sonst gabs da nix mehr interessantes.");
		return true;
	}
	
	return false;
}
bool MRooms::Nacht1 ()
{
	if (iCmd == CMD_ENTER)
	{
		CDCommand ("play cdaudio from 5 to 6");
		return true;
	}
	if (iCmd == CMD_LEAVE)
	{
		App->Events (CM_CDNOTIFY, 0, 0);
		return true;
	}
	return false;
}