// Abiventure Room Mgr
// devilducky@gmx.net

/* Rooms #3 include

 ROOM-Event for

   CGang
   Chemie
   Chemie2
   Fluroben
   Schulhof
   SchulhofLite
   Tafel 1+2
   Englisch
*/

#include "tools.h"
#include "filetools.h"
#include "graphtool.h"
#include "appmgr.h"
#include "mmsystem.h"
#include "winfunc.h"
#include "rooms.h"

bool MRooms::CGang ()
{
	if (iCmd == CMD_ENTER)
	{
		Object ("oViebahn")->Text->Cancel ();
		Object ("oSascha")->Text->Cancel ();
		
		if (App->Registry->Exists ("VSpeed"))
		{
			Frame ("fViebahn")->bVisible = false;
			Object ("oViebahn")->bVisible = false;
			Object ("oSascha")->bVisible = false;
		}
		else	
		{
			Object ("oViebahn")->Text->fWaitFactor = 2.5f;
			Object ("oSascha")->Text->Add ("Ja, was kommt denn in der#Arbeit so dran ?", true, 1);
		}
		
		return true;
	}
	if (isCmd (CMD_EVENT, "#1"))
	{
		Object ("oViebahn")->Text->Add ("Alsoo, zuerst maal die#Wasserstofffffffffffffffffffffffff...#...fffffffffffffffffffff...#...ffffffffffffff-Brckenbindungeen.", true, 2);
		return true;
	}
	if (isCmd (CMD_EVENT, "#2"))
	{
		Object ("oSascha")->Text->Add ("Was ischn des ?", true, 3);
		return true;
	}
	if (isCmd (CMD_EVENT, "#3"))
	{
		Object ("oViebahn")->Text->Add ("Ja zum Beispieel bei H20000000000#wenn mein Kopf jetzt der#Sauerstoffffffffffff...#...fffffffffffffffffffff...#...ffffffffffffffffffffff ist,# und die Arme sind Wasserstofffffffff-#...fffffffffffffffffffff...#...fffffffffffff-Atome, dann...", true, 4);
		return true;
	}
	if (isCmd (CMD_EVENT, "#4"))
	{
		Object ("oSascha")->Text->Add ("Nein, sie brauchens nicht vormachen#Ist alles klar,...", true, 5);
		return true;
	}
	if (isCmd (CMD_EVENT, "#5"))
	{
		Object ("oViebahn")->Text->Add ("Also guuuut, und dann noch#die Moleklstellungen Cis und Trans,#wenn jetzt also mein Arm...", true, 6);
		return true;
	}
	if (isCmd (CMD_EVENT, "#6"))
	{
		Object ("oSascha")->Text->Add ("Stop !#Bitte nicht !#(Der gefrchtete Cis-Trans-Rundumschlag !)", true, 7);
		return true;
	}
	if (isCmd (CMD_EVENT, "#7"))
	{
		Object ("oViebahn")->Text->Add ("Und dann noch die#Kohlenwasserstoffffffff-#-ffffffffffffffffffffe# und Mesomeriiiestabilisierung.", true, 8);
		return true;
	}
	if (isCmd (CMD_EVENT, "#8"))
	{
		Object ("oSascha")->Text->Add ("hh-okay, sonst noch was ?", true, 9);
		return true;
	}
	if (isCmd (CMD_EVENT, "#9"))
	{
		Object ("oViebahn")->Text->Add ("Ja um nochmaal auf die#Cis-Trans-Stellung zurckzukommen...", true, 10);
		return true;
	}
	if (isCmd (CMD_EVENT, "#10"))
	{
		Object ("oSascha")->Text->Add ("...", true, 11);
		return true;
	}
	if (isCmd (CMD_EVENT, "#11"))
	{
		Object ("oViebahn")->Text->Add ("...#...Sauerstofffffffffffffff-#-ffffffffffffffffffffff-#ffffffffff...#...", true, 10);
		return true;
	}
	if (isCmd (CMD_TALKTO, "oSascha") || isCmd (CMD_TALKTO, "oViebahn"))
	{
		Say ("Er redet grad.#Da kann ich schlecht stren#Und das geht bei Viebahn's Tempo#sicher noch eeeeeeeeeeeeewig.");
		return true;
	}
	if (isCmd (CMD_GIVE, "iSpeed", "oViebahn"))
	{
		Item ("iSpeed")->bVisible = false;
		RedrawItems ();
		Wait (600);
		Object ("oViebahn")->Text->Cancel ();
		Object ("oSascha")->Text->Cancel ();
		Object ("oViebahn")->Text->Add ("Was ist das ?", true, 20);
		App->Registry->Add ("VSpeed");
		App->bActive = false;
		return true;
	}
	if (isCmd (CMD_EVENT, "#20"))
	{
		App->CurActor->Text->Add ("hhh....Aspirin", true, 21);
		return true;
	}
	if (isCmd (CMD_EVENT, "#21"))
	{
		Object ("oViebahn")->Text->Add ("Ah, daaanke", true, 22);
		return true;
	}
	if (isCmd (CMD_EVENT, "#22"))
	{
		App->CurActor->Text->Add ("(So, jetzt gehts schneller...)# ",true, 1);
		Object ("oViebahn")->Text->fWaitFactor = 0.5f;
		App->bActive = true;
		return true;
	}
	if (isCmd (CMD_WALK, "oTuer") && Object ("oViebahn")->bVisible)
	{
		Say ("H.Viebahn blockiert die Tr !");
		return true;
	}
	return false;
}

bool MRooms::Chemie ()
{
	if (iCmd == CMD_ENTER)
	{
		App->RoomMgr->timeTuer = 0;
		return true;
	}
	if (isCmd (CMD_PICKUP, "oSchiebetuer") && Frame ("fSchiebetuer3")->bVisible)
	{
		if (!App->Registry->Exists ("Chems"))
			App->Registry->Add ("Chems", 0);

		switch (App->Registry->getData ("Chems"))
		{
		case 0:
			Item ("iChem1")->bVisible = true;
			App->Registry->setData ("Chems", 1);
			break;
		case 1:
			Item ("iChem2")->bVisible = true;
			App->Registry->setData ("Chems", 2);
			break;
		case 2:
			Item ("iChem3")->bVisible = true;
			App->Registry->setData ("Chems", 3);
			break;
		case 3:
			Item ("iChem4")->bVisible = true;
			App->Registry->setData ("Chems", 4);
			break;
		case 4:
			Item ("iChem5")->bVisible = true;
			App->Registry->setData ("Chems", 5);
			break;
		case 5:
			Say ("Ach ich hab jetzt genug Zeug.");
		}
		RedrawItems ();
		return true;
	}
	if (isCmd (CMD_PULL, "oSchiebetuer") && !Frame ("fSchiebetuer3")->bVisible)
	{
		if (Frame ("fTuer")->bVisible)
			Frame ("fSchiebetuer3")->bVisible = true;
		else
			Say ("Ich mach lieber die Tr zu,#sonst sieh mich Viebahn gleich#wenn er kommt, ...");
		return true;
	}
	if (isCmd (CMD_PULL, "oSchiebe1") || isCmd (CMD_PULL, "oSchiebe2"))
	{
		Say ("Nicht solange H.Lemke drben steht.");
		return true;
	}
	if (isCmd (CMD_PUSH, "oSchiebe1") || isCmd (CMD_PUSH, "oSchiebe2"))
	{
		bool bTuer1 = isCmd (CMD_PUSH, "oSchiebe1");

		if (bTuer1 ? Frame ("fSchiebetuer1")->bVisible : Frame ("fSchiebetuer2")->bVisible)
			Say ("Sie ist schon drinnen.");
		else
		{
			Frame ("fSchiebetuer1")->bVisible = bTuer1;
			Frame ("fSchiebetuer2")->bVisible = !bTuer1;
			if (App->RoomMgr->iOldTuer == (bTuer1 ? 1 : 2) && (Win->Ticks < App->RoomMgr->timePush))
			{
				PlaySound ("sound\\punch.wav", NULL, SND_FILENAME |SND_ASYNC );
				Object ("tLemke")->Text->Add ("*KNOCK*");
				Wait (1000);
				Say ("???");
				Frame ("fSchiebetuer1")->bVisible = false;
				Frame ("fSchiebetuer2")->bVisible = false;
				Object ("oSchiebe1")->bVisible = false;
				Object ("oSchiebe2")->bVisible = false;
				Object ("oSchiebetuer")->bVisible = true;
				App->GetRoom ("chemie2")->getFrame ("fLemke")->bVisible = false;
				App->GetRoom ("chemie2")->getObject ("oLemke")->bVisible = false;
			}
			else
			{
				Object ("tLemke")->Text->Add ("HEY !!! Lass dass !");
			}
		}
		return true;
	}
	if (isCmd (CMD_USE, "oVersuchstisch") && !App->Registry->Exists ("Willi"))
	{
		if (!Frame ("fTuer")->bVisible)
			Say ("Ich mach lieber die Tr zu,#sonst sieh mich Viebahn gleich#wenn er kommt, ...");
		else if (App->Registry->Exists ("WilliSupport"))
		{
			Wait (600);
			Frame ("fTuer")->bVisible = false;
			Actor ("aWilli")->bVisible = true;
			Wait (700);
			Actor ("aWilli")->dirCur = 1;
			Wait (700);
			Frame ("fTuer")->bVisible = true;
			Wait (700);
			Actor ("aWilli")->dirCur = 0;
			Wait (700);
			Actor ("aWilli")->Text->Add ("Also, fang' mer mal an");
			App->Registry->Add ("Willi", 0);
			Wait (1000);
			POINT posWalk = { 331,438 };
			Actor ("aWilli")->WalkTo (posWalk, 1, 1);
			Wait (700);
		}
		else
			Say ("Des blick ich doch eh nicht.");
		return true;
	}
	if (isCmd (CMD_EVENT, "#1"))
	{
		Actor ("aWilli")->Text->Add ("Okay zeig mir mal die Formel");
		return true;
	}
	if (isCmd (CMD_GIVE, "iFormelC", "aWilli") && (App->Registry->getData ("Willi") == 0))
	{
		App->Registry->setData ("Willi", 1);
		Item ("iFormelC")->bVisible = false;
		RedrawItems ();
		Wait (600);
		Actor ("aWilli")->Text->Add ("Gut, mal sehen...");
		Wait (1000);
		Item ("iFormelC")->bVisible = true;
		Actor ("aWilli")->Text->Add ("Besorg mir mal folgende Chemikalien :#Zuerst brauch ich 100ml Hexanol.");
		return true;
	}
	if (isCmd (CMD_GIVE, "iChem3", "aWilli") && (App->Registry->getData ("Willi") == 1))
	{
		App->Registry->setData ("Willi", 2);
		Item ("iChem3")->bVisible = false;
		RedrawItems ();
		Wait (1000);
		Actor ("aWilli")->Text->Add ("Gut.#Dann 12 Gramm Schwefel.");
		return true;
	}
	if (isCmd (CMD_GIVE, "iChem2", "aWilli") && (App->Registry->getData ("Willi") == 2))
	{
		App->Registry->setData ("Willi", 3);
		Item ("iChem2")->bVisible = false;
		RedrawItems ();
		Wait (1000);
		Actor ("aWilli")->Text->Add ("Oki.#Gib mir mal das Eisenoxid.");
		return true;
	}
	if (isCmd (CMD_GIVE, "iChem5", "aWilli") && (App->Registry->getData ("Willi") == 3))
	{
		App->Registry->setData ("Willi", 4);
		Item ("iChem5")->bVisible = false;
		RedrawItems ();
		Wait (1000);
		Actor ("aWilli")->Text->Add ("Jetzt 11 Gramm DiChlorDekanolNitrit.");
		return true;
	}
	if (isCmd (CMD_GIVE, "iChem4", "aWilli") && (App->Registry->getData ("Willi") == 4))
	{
		App->Registry->setData ("Willi", 5);
		Item ("iChem4")->bVisible = false;
		RedrawItems ();
		Wait (1000);
		Actor ("aWilli")->Text->Add ("Okay, noch 50 ml Salzsure.");
		return true;
	}
	if (isCmd (CMD_GIVE, "iChem1", "aWilli") && (App->Registry->getData ("Willi") == 5))
	{
		App->Registry->setData ("Willi", 6);
		Item ("iChem1")->bVisible = false;
		RedrawItems ();
		Wait (1000);
		Actor ("aWilli")->Text->Add ("Jetzt fehlt nur noch%destiliertes Wasser.");
		App->Registry->Add ("needwater");
		return true;
	}
	if (isCmd (CMD_GIVE, "iWasser", "aWilli") && (App->Registry->getData ("Willi") == 6))
	{
		Item ("iWasser")->bVisible = false;
		RedrawItems ();
		Wait (1000);
		CDCommand ("stop cdaudio");
		PlaySound ("sound\\bruzel.wav", NULL, SND_FILENAME |SND_ASYNC );
		Actor ("aWilli")->Text->Add ("Ne kleine Flasche ht auch gelangt.#Also, dann werd ich mal...#<bruzel>#<brat>#lalala#...#<Quiek>#...#Okay, fertig.", true, 2);
		Item ("iWasser")->bVisible = true;
		RedrawItems ();
		App->bActive = false;
		return true;
	}
	if (isCmd (CMD_EVENT, "#2"))
	{
		Item ("iDevil")->bVisible = true;
		RedrawItems ();
		Wait (600);
		App->CurActor->Text->Add ("Jo, Danke", true, 3);
		return true;
	}
	if (isCmd (CMD_EVENT, "#3"))
	{
		Actor ("aWilli")->Text->Add ("Passt scho.#Also ich geh dann mal", true, 4);
		App->Events (CM_CDNOTIFY, 0, 0);
		return true;
	}
	if (isCmd (CMD_EVENT, "#4"))
	{
		Say ("Tschoe");
		POINT posWalk = { 644,314 };
		Actor ("aWilli")->WalkTo (posWalk, 1, 5);
		return true;
	}
	if (isCmd (CMD_EVENT, "#5"))
	{
		Wait (600);
		Frame ("fTuer")->bVisible = false;
		Wait (600);
		Frame ("fTuer")->bVisible = true;
		Actor ("aWilli")->bVisible = false;
		App->bActive = true;
		Wait (700);
		App->CurActor->dirCur = 0;
		Wait (700);
		Say ("Hey du da draussen !#Wenn Du weisst was wirklich%passieren wrde,#wenn man solches Zeug zusammenkippt,#schreib's mir ! Wrd mich mal%interessieren...#devilducky@gmx.net");
		return true;
	}
	
	if (isCmd (CMD_TALKTO, "aWilli"))
	{
		switch (App->Registry->getData ("Willi"))
		{
		case 0:
			Actor ("aWilli")->Text->Add ("Okay zuerst brauch ich die Formel");
			break;
		case 1:
			Actor ("aWilli")->Text->Add ("Zuerst brauch ich 100ml Hexanol.");
			break;
		case 2:
			Actor ("aWilli")->Text->Add ("Dann 12 Gramm Schwefel.");
			break;
		case 3:
			Actor ("aWilli")->Text->Add ("Gib mir mal das Eisenoxid.");
			break;
		case 4:
			Actor ("aWilli")->Text->Add ("Jetzt 11 Gramm DiChlorDekanolNitrit.");
			break;
		case 5:
			Actor ("aWilli")->Text->Add ("Okay, noch 50 ml Salzsure.");
			break;
		case 6:
			Actor ("aWilli")->Text->Add ("Jetzt fehlt nur noch%destiliertes Wasser.");
			break;
		}
		return true;
	}
	if (isCmd (CMD_WALK, "oTuer") && Frame ("fTuer")->bVisible)
	{
		Say ("Durch die geschlossene Tr ?");
		return true;
	}	
	if (isCmd (CMD_CLOSE, "oTuer"))
	{
		if (Frame ("fTuer")->bVisible)
			Say ("Ist schon zu.");
		else
		{
			Frame ("fTuer")->bVisible = true;
			PlaySound ("sound\\doorslam.wav", NULL, SND_FILENAME |SND_ASYNC );
		}
		return true;
	}
	if (isCmd (CMD_OPEN, "oTuer"))
	{
		if (!Frame ("fTuer")->bVisible)
			Say ("Ist schon offen.");
		else
		{
			Frame ("fTuer")->bVisible = false;
			PlaySound ("sound\\dooropen.wav", NULL, SND_FILENAME |SND_ASYNC );
		}
		return true;
	}
	return false;
}
bool MRooms::Chemie2 ()
{
	if (iCmd == CMD_ENTER)
	{
		if (Frame ("fLemke")->bVisible)
		{
			Wait (600);
			App->bActive = false;
			Object ("oLemke")->Text->Add ("Was machsch du denn hier ?#Da hasch sicher kein Unterricht#Also raus hier.", true, 1);
		}
				
		return true;
	}
	if (isCmd (CMD_EVENT, "#1"))
	{
		Say ("(Bh)");
		Wait (1000);
		EnterRoom ("chemie");
		App->bActive = true;
		return true;
	}

	return false;
}
bool MRooms::FlurOben ()
{
	if (iCmd == CMD_ENTER)
	{
		Frame ("fTuer")->bVisible = false;
		return true;
	}
	if (isCmd (CMD_WALK, "oTreppe"))
	{
		Say (Object ("oTreppe")->strLook);
		return true;
	}
	if (isCmd (CMD_WALK, "oLehrerzimmer"))
	{
		Say ("Abgeschlossen");
		return true;
	}
	if (isCmd (CMD_USE, "oLehrerzimmer", "iSchluessel"))
	{
		if (Item ("iSchere")->bVisible)
			Say ("Hier drin gibts nix mehr tolles");
		else
		{
			App->CurActor->Text->Add ("A-ha ! Passt.#Mal sehen, ...", true, 1);
			App->bActive = false;
		}
		return true;
	}
	if (isCmd (CMD_EVENT, "#1"))
	{
		App->CurActor->bVisible = false;
		Wait (1000);
		Item ("iFormelM")->bVisible = true;
		Item ("iSchere")->bVisible = true;
		RedrawItems ();
		Wait (1000);
		App->CurActor->bVisible = true;
		App->CurActor->dirCur = 3;
		App->bActive = true;
		return true;
	}
	if (isCmd (CMD_WALK, "oTuer"))
	{
		if (!Frame ("fTuer")->bVisible)
			Say ("Die Tr ist zu");
		else
		{
			switch (App->Registry->getData ("Oben"))
			{
			case 0:
				Say ("Ach was will ich schon beim Lang.");
				break;
			case 1:
				EnterRoom ("Englisch");
				break;
			case 2:
				EnterRoom ("Tafel1");
				break;
			}
		}
		return true;
	}
	if (isCmd (CMD_CLOSE, "oTuer"))
	{
		if (Frame ("fTuer")->bVisible)
		{
			PlaySound ("sound\\doorslam.wav", NULL, SND_FILENAME |SND_ASYNC );
			Frame ("fTuer")->bVisible = false;
		}
		else
			Say ("Ist schon zu.");
		return true;
	}
	if (isCmd (CMD_PICKUP, "oHelium"))
	{
		Frame ("fHelium")->bVisible = false;
		Object ("oHelium")->bVisible = false;
		App->Registry->Remove ("Helium");
		Item ("iHelium")->bVisible = true;
		RedrawItems ();
	}
	if (isCmd (CMD_USE, "oTuer", "iHelium"))
	{
		if (Frame ("fTuer")->bVisible)
			Say ("Die Tr ist offen.");
		else
		{
			Frame ("fHelium")->bVisible = true;
			Object ("oHelium")->bVisible = true;
			App->Registry->Add ("Helium");
			Item ("iHelium")->bVisible = false;
			RedrawItems ();
			Say ("Ich leite Helium durchs#Schlsselloch ein.");
		}
		return true;
	}
	if (isCmd (CMD_OPEN, "oTuer"))
	{
		if (Frame ("fTuer")->bVisible)
			Say ("Ist schon offen.");
		else if (Frame ("fHelium")->bVisible)
			Say ("Die Heliumflasche steht vor der Tr");
		else if (!App->Registry->Exists ("Pause"))
			Say ("Da ist grad Unterricht, da kann#ich schlecht reinplatzen.");
		else
		{
			PlaySound ("sound\\dooropen.wav", NULL, SND_FILENAME |SND_ASYNC );
			Frame ("fTuer")->bVisible = true;
		}
		return true;
	}
	if (isCmd (CMD_LOOKAT, "oTuer"))
	{
		Say ("Raum 110. Im Moment ist hier grad");
		switch (App->Registry->getData ("Oben"))
		{
		case 0:
			Say ("Herr Lang drin.");
			break;
		case 1:
			Say ("Frau Gtz drin.");
			break;
		case 2:
			Say ("Frau Kolb drin.");
			break;
		}
		return true;
	}

	return false;
}
bool MRooms::Schulhof ()
{
	if (iCmd == CMD_ENTER)
	{
		POINT posStart = { 794,405 };
		Actor ("aHM")->Set (posStart, 2);
		Actor ("aHM")->UpdateZ ();
	}
	if (iCmd == CMD_LEAVE)
	{
		App->GetRoom ("SchulhofLite")->dirStart = App->CurRoom->dirStart;
		memcpy (&App->GetRoom ("SchulhofLite")->posStart, &App->CurRoom->posStart, sizeof (POINT));
		return true;
	}
	if (isCmd (CMD_USE, "iKippe", "oMuell"))
	{
		Item ("iKippe")->bVisible = false;
		RedrawItems ();
		return true;
	}
	if (isCmd (CMD_USE, "iKippe", "oBoden"))
	{
		Wait (600);
		Item ("iKippe")->bVisible = false;
		RedrawItems ();
		Wait (1000);
		Actor ("aHM")->bVisible = true;
		Wait (500);
		Say ("Uh-oh");
		POINT posWalk = { 300,415 };
		Actor ("aHM")->WalkTo (posWalk, 2, 1);
		return true;
	}
	if (isCmd (CMD_EVENT, "#1"))
	{
		Wait (500);
		App->CurActor->dirCur = 3;
		Wait (500);
		Actor ("aHM")->Text->Add ("Du weisst ganz genau was mit#Leuten wie dir passiert,#die mutwillig den Schulhof verschmutzen ?", true, 2);
		return true;
	}
	if (isCmd (CMD_EVENT, "#2"))
	{
		App->CurActor->Text->Add ("Nicht direkt, ...", true, 3);
		return true;
	}
	if (isCmd (CMD_EVENT, "#3"))
	{
		Actor ("aHM")->Text->Add ("Mitkommen !!!", true, 4);
		return true;
	}
	if (isCmd (CMD_EVENT, "#4"))
	{
		Say ("(Enthauptung ? Steinigung mit Schiebleren ?)");
		Wait (1000);
		Actor ("aHM")->bVisible = false;
		App->CurRoom->bBlack = true;
		CDCommand ("play cdaudio from 4 to 5");
		Wait (3000);
		App->CurRoom->bBlack = false;
		EnterRoom ("HM");
		return true;
	}
	return false;
}
bool MRooms::SchulhofLite ()
{
	if (iCmd == CMD_LEAVE)
	{
		App->GetRoom ("Schulhof")->dirStart = App->CurRoom->dirStart;
		memcpy (&App->GetRoom ("Schulhof")->posStart, &App->CurRoom->posStart, sizeof (POINT));
		return true;
	}
	if (iCmd == CMD_ENTER)
	{
		POINT posStart = { 794,394 };
		Actor ("aHM")->Set (posStart, 2);
		Actor ("aHM")->UpdateZ ();
	}
	if (isCmd (CMD_USE, "iKippe", "oMuell"))
	{
		Item ("iKippe")->bVisible = false;
		RedrawItems ();
		return true;
	}
	
	if (isCmd (CMD_USE, "iKippe", "oBoden"))
	{
		Wait (600);
		Item ("iKippe")->bVisible = false;
		RedrawItems ();
		Wait (1000);
		Actor ("aHM")->bVisible = true;
		Wait (500);
		Say ("Uh-oh");
		POINT posWalk = { 327, 372 };
		Actor ("aHM")->WalkTo (posWalk, 2, 1);
		return true;
	}
	if (isCmd (CMD_EVENT, "#1"))
	{
		Wait (500);
		App->CurActor->dirCur = 3;
		Wait (500);
		Actor ("aHM")->Text->Add ("Du weisst ganz genau was mit#Leuten wie dir passiert,#die mutwillig den Schulhof verschmutzen ?", true, 2);
		return true;
	}
	if (isCmd (CMD_EVENT, "#2"))
	{
		App->CurActor->Text->Add ("Nicht direkt, ...", true, 3);
		return true;
	}
	if (isCmd (CMD_EVENT, "#3"))
	{
		Actor ("aHM")->Text->Add ("Mitkommen !!!", true, 4);
		return true;
	}
	if (isCmd (CMD_EVENT, "#4"))
	{
		Say ("(Enthauptung ? Steinigung mit Schiebleren ?)");
		Wait (1000);
		Actor ("aHM")->bVisible = false;
		App->CurRoom->bBlack = true;
		POINT posTuer = { 710,305 };
		App->CurActor->Set (posTuer,1);
		CDCommand ("play cdaudio from 4 to 5");
		Wait (3000);
		App->CurRoom->bBlack = false;
		EnterRoom ("HM");
		return true;
	}
	
	return false;
}
bool MRooms::Tafel1 ()
{
	if (iCmd == CMD_ENTER && App->Registry->Exists ("knowTafel"))
	{
		Say ("Moment,...#'Die daimonische Schrift des Chaos?'#Wenn ich nur den Sinn erkennen knnte...");
		return true;
	}
	return false;
}
bool MRooms::Tafel2 ()
{
	if (iCmd == CMD_ENTER)
	{
		CDCommand ("play cdaudio from 6 to 7");
		App->GetRoom ("Aussen")->getObject ("oDaimon")->bVisible = true;
		return true;
	}
	
	if (iCmd == CMD_LEAVE)
	{
		App->Events (CM_CDNOTIFY, 0, 0);
	}
	return false;
	
}
bool MRooms::Englisch ()
{
	if (iCmd == CMD_ENTER)
	{
		if (App->Registry->Exists ("Flagge"))
		{
			Frame ("fEnglischFlagge")->bVisible = true;
			App->CurActor->bVisible = false;
			Wait (1000);
			Object ("oGoetz")->Text->Add ("What's that ?#Oh my god,#The American flagpole !#Stand to the flag and sing", true, 1);
		}
		return true;
	}
	if (isCmd (CMD_EVENT, "#1"))
	{
		if (App->Registry->Exists ("Helium"))
		{
			Object ("oGoetz")->Text->Add ("Oh say, can you seeeeeeeeeeee<quiek>...#...<quiiiiiiiieeeeek>....");
			Object ("tBurscht")->Text->Add ("AAAAAHHH !");
			Object ("oSchueler")->Text->Add ("AAAHHHH !");
			Object ("tHensel")->Text->Add ("AAAAAAHHH !");
			Wait (3000);
			PlaySound ("sound\\glassbrk.wav", NULL, SND_FILENAME |SND_ASYNC );
			Frame ("fKlirr1")->bVisible = true;
			Wait (1000);
			PlaySound ("sound\\glassbrk.wav", NULL, SND_FILENAME |SND_ASYNC );
			Frame ("fKlirr2")->bVisible = true;
			Wait (1000);
			PlaySound ("sound\\glassbreak2.wav", NULL, SND_FILENAME |SND_ASYNC );
			Frame ("fKlirr3")->bVisible = true;
			Wait (3000);
			if (App->Registry->Exists ("Recording") && !App->Registry->Exists ("Klirrkassette"))
				App->Registry->Add ("Klirrkassette");
		}
		else
		{
			Object ("oGoetz")->Text->Add ("Oh say, can you see...#...by the dawn's early light...#...what so proudly we hailed...");
			Object ("tBurscht")->Text->Add ("Mein Kopf !");
			Wait (3000);
		}
		Frame ("fEnglischFlagge")->bVisible = false;
		App->CurActor->bVisible = true;
		EnterRoom ("Flagge");
	}
	if (isCmd (CMD_USE, "oRecorder") || isCmd (CMD_PUSH, "oRecorder"))
	{
		if (App->Registry->Exists ("Recording"))
			Say ("Die Aufnahme ist schon an.");
		else if (App->Registry->Exists ("KassetteIn"))
		{
			Say ("Ich habe die Aufnahme eingeschaltet");
			App->Registry->Add ("Recording");
		}
		else
			Say ("Es ist keine Kassette drin.");
		return true;
	}
	if (isCmd (CMD_USE, "oRecorder", "iKassette"))
	{
		Item ("iKassette")->bVisible = false;
		RedrawItems ();
		App->Registry->Add ("KassetteIn");
		Say ("Ich habe die Kassette eingelegt#hmm die Playtaste funktioniert nicht.");
		return true;
	}
	if (isCmd (CMD_PICKUP, "oRecorder") || isCmd (CMD_OPEN, "oRecorder"))
	{
		if (App->Registry->Exists ("KassetteIn"))
		{
			App->Registry->Remove ("KassetteIn");
			if (App->Registry->Exists ("Recording"))
				App->Registry->Remove ("Recording");
			Item ("iKassette")->bVisible = true;
			RedrawItems ();
		}
		else
			Say ("Da ist keine Kassette drin.");
		return true;
	}
	return false;
}