// Abiventure app Mgr
// devilducky@gmx.net

typedef struct
{
	long timeStamp;
	POINT Pos;
	int Dir;
	int posZ;
} MPathData;

class MZMap
{
	char *strPath;
	RECT rectStretch;
	
	// pathfinder stuff
	MPathData *pathStep;
	
	int Interpolate (POINT posFrom, POINT posTo, MPathData *pathWrite);
	int TraceCurves (POINT posFrom, POINT posTo);
	void Timing (int iSteps);
public:
	int *ZData;
	bool bLoaded;

	MZMap ();
	~MZMap ();

	void Create ();
	void Destroy ();
	void Set (LPCSTR strNewFile, RECT rectNewStretch);
	inline int ZFactor (POINT posCur)
	{
		return ZData [posCur.x + posCur.y * 800];
	}
	void Load ();
	void Unload ();
	MPathData *FindPath (POINT posFrom, POINT posTo);
};