// Abiventure main
// devilducky@gmx.net

#include "tools.h"
#include "filetools.h"
#include "winfunc.h"
#include "graphtool.h"
#include "appmgr.h"

// global access
MDraw *Draw;
MWindow *Win;
MApplication *App;

int PASCAL WinMain(HINSTANCE hInst, HINSTANCE hInstPrev, LPSTR strCmdLine, int CmdShow)
{
    MSG msgCur;
    
	MWindow cWin;
	MDraw cDraw;
	MApplication cApp;
	
	// open window, api, init application
	#ifndef NDEBUG
	MToolsOpen ();
	#endif

	Win = &cWin;
	Draw = &cDraw;
	App = &cApp;
	
	int iArg = 0;

	FILE *fpSetup = fopen ("config.blt", "rb");
	if (fpSetup)
	{
		iArg = fgetc (fpSetup);
		fclose (fpSetup);
	}

	// geforce fix (level 1)
	if (strstr (strCmdLine, " fix1"))
		iArg = 1;
	
	// directdraw fix (level 2)
	if (strstr (strCmdLine, " fix") || strstr (strCmdLine, " fix2"))
		iArg = 2;
	
	App->bFix = (iArg == 1);
	Draw->bFix = (iArg == 2);

	cWin.Open( hInst, CmdShow, strCmdLine);
	cDraw.Open ();
	cApp.Open ();

	// inner windows message loop
	for (;;)
	{
		if( PeekMessage( &msgCur, NULL, 0, 0, PM_REMOVE))
		{
			if( msgCur.message == WM_QUIT)
				break;
            else
			{
                TranslateMessage( &msgCur);
                DispatchMessage( &msgCur);
			}
		}
		else
		{
			if (!cWin.Active)
				WaitMessage ();
			else
			{
				cApp.Render ();
			}
        }
    }

	cApp.Close ();
	cDraw.Close ();
	cWin.Close ();
	#ifndef NDEBUG
	MToolsClose ();
	#endif
	
	return msgCur.wParam;
}
