// Abiventure app Mgr
// devilducky@gmx.net

#define NUM_ACTORFRAMES	12
#define FRAME_FRONT		0
#define FRAME_BACK		1
#define FRAME_LEFT		2
#define FRAME_RIGHT		3
#define FRAME_STAND		0
#define FRAME_STEP1		4
#define FRAME_STEP2		8
#define FRAME_MASK		3

#define TALK_DIST		70

class MActor
{
	int dirGoTo;
	MPathData *pathCur;
	bool bMove;
	float fWaitX, fWaitY, fStep;
	char *strPath;
	bool bLoaded;
	RECT rectDest;
	int dirOld;
	long lSendID;
public :
	MImage imgFrame[NUM_ACTORFRAMES];
	MImage *imgFix;
	POINT posCor[NUM_ACTORFRAMES];
	MSpeechUnit *Text;
	POINT posCur;
	int dirCur;
	char *strName;
	char *strDesc;
	char *strLook;
	bool bVisible;
	bool bUseWith;
	int posZ;
	char *strDialog;
	
	MActor (LPCSTR strFile = NULL, LPCSTR strName = NULL);
	~MActor ();
	void Create ();
	void Destroy ();
	void LoadSpecs (LPCSTR strFile);
	void LoadObjSpecs (TextFile &fileRoom, MIndex idxActor);

	bool isMarked (POINT &posMouse);
	void Load ();
	void Unload ();
	void Render (MImage *imgDest);
	void RenderText (MImage *imgDest, DWORD timeDelta);
	void WalkTo (POINT posDest, int dirDest = -1, long lID = 0);
	void Move (DWORD timeDelta);
	void Set (POINT posDest, int dirDest);
	void UpdateZ ();
	int GetDirection (int posDeltaX, int posDeltaY, int iOldDir = -1);
	POINT getWalkPoint (POINT posOther);
	int getWalkDir (POINT posWalk);
	void setTalkDir (int dirOpposite);
	void LoadGame (FILE *fileLoad);
	void SaveGame (FILE *fileSave);
};