// Abiventure app Mgr
// devilducky@gmx.net

#include "item.h"

#define NUM_BUTTONS	9
#define FONT_CMD "grey"
#define FONT_ACTIVE "greya"

class MCommandBar
{
	// image data
	MImage imgButtonActive[NUM_BUTTONS];
	MImage imgButton[NUM_BUTTONS];
	MImage imgArrow[2];
	MImage imgArrowActive[2];
		
	// cmd data
	int iArgs;
	MObject *objCur [2];
	MItem *itmCur [2];
	MActor *actCur [2];
	char strMoveObj [100];
	
	public :
	int iInit;
	MFont *fntCmd;
	MFont *fntActive;
	MItemStore ItemStore;

	bool bRunning;
	RECT rectPos;
	int iCurCmd;
	
	MCommandBar ();
	~MCommandBar ();
	void Create ();
	void Destroy ();

	void Click (POINT posMouse);
	void SetCmd (int iCommand);
	void Cancel ();
	void Render (MImage *imgDest);
	void SetMove (LPCSTR strObjMove);
	void SetObject (MObject *objClick);
	void SetItem (MItem *itmClick);
	void SetActor (MActor *actClick);
	void RunCommand ();
	void Execute ();
};

#define BUTTONBAR_X		0
#define BUTTONBAR_Y		455
#define BUTTON_LEN_X	150
#define BUTTON_LEN_Y	45
#define BUTTON_LINES	3
#define ARROW_X			475
#define ARROW_Y1		458
#define ARROW_Y2		523

#define TEXT_POS_Y		441

#define CMD_WALK		-1
#define CMD_GIVE		0
#define CMD_OPEN		1
#define CMD_CLOSE		2
#define CMD_PICKUP		3
#define CMD_LOOKAT		4
#define CMD_TALKTO		5
#define CMD_USE			6
#define CMD_PUSH		7
#define CMD_PULL		8
#define CMD_ENTER		9
#define CMD_LEAVE		10
#define CMD_EVENT		11
