// Abiventure app Mgr
// devilducky@gmx.net

#define ITEMTYPE_NONE	0
#define ITEMTYPE_STD	1

#define ITEMS_LINE		4
#define ITEMBAR_X		520
#define ITEMBAR_Y		460
#define ITEM_X0			522		
#define ITEM_Y0			462
#define ITEM_WIDTH		62
#define ITEM_HEIGHT		62

#define SCROLL_TEST		0
#define SCROLL_UP		-1
#define SCROLL_DOWN		1

class MItem
{
	public:

	bool bEnabled;
	bool bVisible;
	bool bUseWith;
	int iType;
	int iState;
	char *strDesc;
	char *strLook;
	char *strName;
	MImage *imgPic;

	MItem ();
	~MItem ();
	void Create ();
	void Destroy ();
	
	void LoadSpecs (TextFile &fileItems, MIndex idxItem);
};

class MItemStore
{
	public:

	RECT rectPos;
	int numItems;
	MItem *Item;
	bool bRedraw;
	MIndex idxLine;
	MImage *imgBar;

	MItemStore ();
	~MItemStore ();
	void Create ();
	void Destroy ();

	void Render (MImage *imgDest);
	void Scroll (int iDirection);
	void Load (LPCSTR strFile);
	void Click (POINT posMouse);
	void MouseMove (POINT posMouse);
	void LoadGame (FILE *fileLoad);
	void SaveGame (FILE *fileSave);

	MItem *GetItem (LPCSTR strName);
};