// Abiventure Room Mgr
// devilducky@gmx.net

/* Rooms #2 include

 ROOM-Event for

   Aula
   Aulalite
   HM
   Klo
   TERaum
   TEGang
   Sekretar
   Physik
   Nacht2
*/

#include "tools.h"
#include "filetools.h"
#include "graphtool.h"
#include "appmgr.h"
#include "mmsystem.h"
#include "rooms.h"

bool MRooms::AulaLite ()
{
	if (iCmd == CMD_LEAVE)
	{
		App->GetRoom ("Aula")->dirStart = App->CurRoom->dirStart;
		memcpy (&App->GetRoom ("Aula")->posStart, &App->CurRoom->posStart, sizeof (POINT));
		return true;
	}
	return false;
}
bool MRooms::Aula ()
{
	if (iCmd == CMD_LEAVE)
	{
		App->GetRoom ("AulaLite")->dirStart = App->CurRoom->dirStart;
		memcpy (&App->GetRoom ("AulaLite")->posStart, &App->CurRoom->posStart, sizeof (POINT));
		return true;
	}
	if (isCmd (CMD_TALKTO, "oZiegler"))
	{
		CDCommand ("play cdaudio from 15 to 16");
		App->CurDialog->Open ("dialogs\\marco.dlg");
		return true;
	}
	if (isCmd (CMD_GIVE, "iEZettel", "aMac"))
	{
		Actor ("aMac")->Text->Add ("Hey, perfekt !", true, 1);
		Item ("iEZettel")->bVisible = false;
		RedrawItems ();
		App->bActive = false;
		return true;
	}
	if (isCmd (CMD_EVENT, "#1"))
	{
		POINT posWalk = { 753,429 };
		Actor ("aMac")->WalkTo (posWalk, 0, 2);
		return true;
	}
	if (isCmd (CMD_EVENT, "#2"))
	{
		Actor ("aMac")->bVisible = false;
		App->Registry->Add ("MacZettel");
		App->bActive = true;
		return true;
	}
	return false;
}

bool MRooms::HM ()
{
	if (iCmd == CMD_ENTER)
	{
		POINT posStart = { 486, 373 };
		
		Actor("aHM")->Set (posStart, 0);
		Actor("aHM")->bVisible = true;
		Wait (600);
		switch (App->Registry->getData ("HM"))
		{
		case 0:
			Actor ("aHM")->Text->Add ("So, jetzt wirst du zur Strafe#den Raucherhof sauberschrubben.#Warte hier, ich hol eine Zahnbrste.", true, 5);
			App->Registry->setData ("HM", 1);
			break;
		case 1:
			Actor ("aHM")->Text->Add ("Du weisst was auf dich wartet !#Und diesmal WOCHENLANG !!#Und du wirst mir%nicht wieder abhauen !" ,true, 1);
			App->Registry->setData ("HM", 2);
			break;
		case 2:
			Actor ("aHM")->Text->Add ("DU HAST ES WIEDER GETAN !!#WENN DU JETZT WIEDER FLCHTEST, DANN" ,true, 2);
			break;
		}
		App->bActive = false;
		return true;
	}
	if (isCmd (CMD_EVENT, "#1"))
	{
		App->CurActor->Text->Add ("(Nicht ?)", true, 5);
		return true;
	}
	if (isCmd (CMD_EVENT, "#2"))
	{
		App->CurActor->Text->Add ("Dann ?", true, 3);
		return true;
	}
	if (isCmd (CMD_EVENT, "#3"))
	{
		Actor("aHM")->Text->Add ("Passiert etwas furchtbares !", true, 4);
		return true;
	}
	if (isCmd (CMD_EVENT, "#4"))
	{
		App->CurActor->Text->Add ("(Aha, ...)", true, 5);
		return true;
	}
	if (isCmd (CMD_EVENT, "#5"))
	{
		Actor ("aHM")->dirCur = 1;
		Wait (600);
		Frame ("fHMTuer")->bVisible = true;
		Wait (1000);
		Actor ("aHM")->bVisible = false;
		Frame ("fHMTuer")->bVisible = false;
		App->bActive = true;
		return true;
	}
	if (isCmd (CMD_PICKUP, "oKorb"))
	{
		if (App->Registry->Exists ("HMKorb"))
		{
			if (Item ("iLandjaeger")->bVisible)
				Say ("Ich hab schon nen Landjger");
			else
			{
				Say ("Da ist ja noch was zu essen drin !");
				Item ("iLandjaeger")->bVisible = true;
				RedrawItems ();
			}
		}
		else
		{
			Say ("Da ist ja noch was zu essen drin !");
			Item ("iStange2")->bVisible = true;
			RedrawItems ();
			App->Registry->Add ("HMKorb");
		}
		return true;
	}
	if (isCmd (CMD_USE, "oTafel1"))
	{
		Say ("Mmhh warum soll ich%das Licht anschalten ?");
		return true;
	}
	if (isCmd (CMD_USE, "oTafel2"))
	{
		App->Registry->Add ("Ventilation");
		Say ("OK ich habe die Belftung#im ganzen Schulhaus ausgeschaltet");
		return true;
	}
	if (isCmd (CMD_USE, "oTafel3") || isCmd (CMD_OPEN, "oTafel3"))
	{
		Say ("Ist abgeschlossen.");
		return true;
	}
	if (isCmd (CMD_USE, "oGong", "iKabel"))
	{
		Frame ("fHMGong")->bVisible = true;
		App->Registry->Add ("GongTot");
		Say ("Ich habe den Gong berbrckt.");
		Item ("iKabel")->bVisible = false;
		RedrawItems ();
		return true;
	}
	if (isCmd (CMD_PICKUP, "oGong") && App->Registry->Exists ("GongTot"))
	{
		Frame ("fHMGong")->bVisible = false;
		App->Registry->Remove ("GongTot");
		Say ("Jetzt luft der Gong wieder.");
		Item ("iKabel")->bVisible = true;
		RedrawItems ();
		return true;
	}
	if (isCmd (CMD_PUSH, "oGong"))
	{
		App->RoomMgr->ChangeGong ();

		return true;
	}
	if (isCmd (CMD_OPEN, "oTuer"))
	{
		if (Frame ("fHMTuer")->bVisible)
			Say ("Sie ist schon offen.");
		else
		{
			App->CurActor->dirCur = 1;
			Frame ("fHMTuer")->bVisible = true;
			PlaySound ("sound\\dooropen.wav", NULL, SND_FILENAME |SND_ASYNC );
		}
		return true;
	}
	if (isCmd (CMD_CLOSE, "oTuer"))
	{
		if (!Frame ("fHMTuer")->bVisible)
			Say ("Sie ist schon zu.");
		else
		{
			App->CurActor->dirCur = 1;
			PlaySound ("sound\\doorslam.wav", NULL, SND_FILENAME |SND_ASYNC );
			Frame ("fHMTuer")->bVisible = false;
		}
		return true;
	}
	if (isCmd (CMD_WALK, "oTuer") && Frame ("fHMTuer")->bVisible)
	{
		EnterRoom ("Kaffeeautomat");
		return true;
	}
	
	return false;
}
bool MRooms::Klo ()
{
	if (isCmd (CMD_WALK, "oWC"))
	{
		Say ("Ich geh mal den Lurch wrgen.");
		Wait (1000);
		App->CurActor->bVisible = false;
		Wait (1000);
		App->CurRoom->bBlack = true;
		Wait (5000);
		if (!App->Registry->Exists ("GongTot"))
			App->RoomMgr->ChangeGong ();
		Wait (3000);
		PlaySound ("sound\\toilet.wav", NULL, SND_FILENAME |SND_ASYNC );
		Wait (1000);
		App->CurRoom->bBlack = false;
		App->CurActor->dirCur = 2;
		App->CurActor->bVisible = true;
		iCmd = CMD_ENTER;
	}
	if (isCmd (CMD_TALKTO, "oKoelble"))
	{
		Say ("Nee das muss jetzt echt nicht sein !");
		return true;
	}
	if (iCmd == CMD_ENTER)
	{
		if (App->Registry->Exists ("VogelFalle") && App->Registry->Exists ("Pause"))
			App->Registry->Add ("VogelKleb");
			
		bool bThere = App->Registry->Exists ("Pause") || App->Registry->Exists ("VogelKleb");
		Frame ("fKoelble")->bVisible = bThere;
		Object ("oKoelble")->bVisible = bThere;
		Object ("oRucksack")->bVisible = bThere;
		Object ("oBoden")->bVisible = !bThere;
		
		if (App->Registry->Exists ("VogelKleb"))
			Object ("oKoelble")->Text->Add ("HILFE ! Ich klebe fest !");
		return true;
	}
	if (isCmd (CMD_PICKUP, "oRucksack") && !App->Registry->Exists ("HasRucksack"))
	{
		if (App->Registry->Exists ("VogelKleb"))
		{
			App->Registry->Add ("HasRucksack");
			Object ("oKoelble")->Text->Add ("Hey ! Finger weg, das ist meiner !", true, 1);
			App->bActive = false;
		}
		else
			Object ("oKoelble")->Text->Add ("Hey ! Finger weg, das ist meiner !");
		return true;
	}
	if (isCmd (CMD_EVENT, "#1"))
	{
		App->CurActor->Text->Add ("Und was gedenkst du zu tun ?#Du klebst fest, schon vergessen ?", true, 2);
		return true;
	}
	if (isCmd (CMD_EVENT, "#2"))
	{
		Object ("oKoelble")->Text->Add ("HEY !!!", true, 3);
		return true;
	}
	if (isCmd (CMD_EVENT, "#3"))
	{
		Say ("Was haben wir denn da ?");
		Item ("iUsaShirt")->bVisible = true;
		RedrawItems ();
		App->bActive = true;
		return true;
	}
	if (isCmd (CMD_USE, "iKaugummi", "oBoden"))
	{
		Say ("Hehe...");
		App->Registry->Add ("VogelFalle");
		Item ("iKaugummi")->bVisible = false;
		RedrawItems ();
		return true;
	}

	return false;
}
bool MRooms::TE ()
{
	if (iCmd == CMD_ENTER)
	{
		POINT posStart = { 319,434 };
		Actor ("aGlatt")->bVisible = ! App->Registry->Exists ("GlattWeg");
		Actor ("aGlatt")->Set (posStart, 3);
		Actor ("aGlatt")->UpdateZ ();
		Frame ("fTeTuer")->bVisible = true;
		return true;
	}
	if (isCmd (CMD_PICKUP, "oKabel"))
	{
		if (!App->Registry->Exists ("GlattWeg"))
		{
			Actor ("aGlatt")->Text->Add ("Hey ! Lass das liegen !");
			return true;
		}
		else if (Frame ("fTeTuer")->bVisible)
		{
			Say ("Du Tr ist offen, er knnte mich sehen.");
			return true;
		}
	}
	if (isCmd (CMD_PICKUP, "oFormel"))
	{
		if (!App->Registry->Exists ("GlattWeg"))
		{
			Actor ("aGlatt")->Text->Add ("Hey ! Lass das liegen !");
			return true;
		}
		else if (Frame ("fTeTuer")->bVisible)
		{
			Say ("Du Tr ist offen, er knnte mich sehen.");
			return true;
		}
		else if (!App->Registry->Exists ("GlattPheromone"))
		{
			POINT posStart = {401, 344};
			POINT posWalk = { 319,434 };
			Wait (700);
			PlaySound ("sound\\dooropen.wav", NULL, SND_FILENAME |SND_ASYNC );
			Frame ("fTeTuer")->bVisible = true;
			Actor ("aGlatt")->bVisible = true;
			Actor ("aGlatt")->Set (posStart, 0);
			Actor ("aGlatt")->UpdateZ ();
			Wait (700);
			Actor ("aGlatt")->WalkTo (posWalk, 3, 1);
			App->Registry->Remove ("GlattWeg");
			App->bActive = false;
			return true;
		}
	}
	if (isCmd (CMD_EVENT, "#1"))
	{
		Say ("(Scheisse...)");
		App->bActive = true;
		return true;
	}

	if (isCmd (CMD_OPEN, "oTuer"))
	{
		if (Frame ("fTeTuer")->bVisible)
			Say ("Sie ist schon offen.");
		else
		{
			PlaySound ("sound\\dooropen.wav", NULL, SND_FILENAME |SND_ASYNC );
			Frame ("fTeTuer")->bVisible = true;
		}
		return true;
	}
	if (isCmd (CMD_CLOSE, "oTuer"))
	{
		if (!Frame ("fTeTuer")->bVisible)
			Say ("Sie ist schon zu.");
		else
		{
			PlaySound ("sound\\doorslam.wav", NULL, SND_FILENAME |SND_ASYNC );
			Frame ("fTeTuer")->bVisible = false;
		}
		return true;
	}
	if (isCmd (CMD_WALK, "oTuer") && Frame ("fTeTuer")->bVisible)
	{
		EnterRoom ("tegang");
		return true;
	}	
	if (isCmd (CMD_GIVE, "iStange1", "oTESchler") || isCmd (CMD_GIVE, "iStange2", "oTESchueler"))
	{
		Object ("tWilli")->Text->Add ("NAAAHH ! Das ist keine#1,2 Dilandjger-Kselaugenstange !");
		return true;
	}
	if (isCmd (CMD_GIVE, "iStange3", "oTESchler"))
	{
		App->Registry->Add ("WilliSupport");
		Object ("tWilli")->Text->Add ("AAAAAHHH Perfekt#Also geh schon mal%rber in Chemie,#ich komm nach.");
		Item ("iStange3")->bVisible = false;
		RedrawItems ();
		return true;
	}
	return false;
}

bool MRooms::TEGang ()
{
	if (isCmd (CMD_WALK, "oPhysik") && !App->Registry->Exists ("Pause"))
	{
		Say ("Jetzt ist Unterricht, da kann ich#nicht einfach reinmarschieren !");
		return true;
	}
	if (isCmd (CMD_LOOKAT, "oPhysik") && !App->Registry->Exists ("fallertlook"))
	{
		App->Registry->Add ("fallertlook");
		App->Registry->Add ("fallertwalk");
		App->CurActor->Text->Add ("Physik ( H.Fallert )#Ich werf mal einen Blick%durchs Schlsselloch.", true, 1);
		App->bActive = false;
		return true;
	}
	if (isCmd (CMD_EVENT, "#1"))
	{
		Wait (500);
		EnterRoom ("physik");
		return true;
	}
	return false;
}

bool MRooms::Sekretar ()
{
	if (isCmd (CMD_EVENT, "#20"))
	{
		Wait (1000);
		App->CurActor->WalkTo (Object ("oTelefon")->posWalk, Object ("oTelefon")->dirWalk, 21);
		Item ("iSpeed")->bVisible = true;
		return true;
	}
	if (isCmd (CMD_EVENT, "#21"))
	{
		Wait (1000);
		App->CurDialog->Run ();
		return true;
	}
	if (isCmd (CMD_WALK, "oHalle"))
	{
		if (App->Registry->Exists ("Pause"))
			EnterRoom ("aula");
		else
			EnterRoom ("aulalite");
		return true;
	}
	if (isCmd (CMD_TALKTO, "oDealer"))
	{
		App->bActive = false;
		if (Frame ("fDealerHandy")->bVisible)
			Object ("oDealer")->Text->Add ("Eh ich kann hier nit einfach#so mit dir reden,#weisch viel zu gefhrlich.#Und ausserdem nich cool genug", true, 5);
		else
			Object ("oDealer")->Text->Add ("Eh wart grad mal,#weisch ich telefonier grad.", true, 1);
		return true;
	}
	if (isCmd (CMD_EVENT, "#1"))
	{
		App->CurActor->Text->Add ("(Okay, ich warte...)", true, 2);
		return true;
	}
	if (isCmd (CMD_EVENT, "#2"))
	{
		Wait (500);
		App->CurRoom->bBlack = true;
		if (App->Registry->Exists ("GongTot"))
		{
			App->CurActor->Text->Add ("10 Minuten spter...", true, 3);
			return true;
		}
		else
		{
			Wait (5000);
			App->RoomMgr->ChangeGong ();
			Wait (5000);
			App->CurRoom->bBlack = false;
			Say ("Toll. Die Pausen sind einfach zu kurz.");
			App->bActive = true;
			iCmd = CMD_ENTER;
		}
	}
	if (iCmd == CMD_ENTER)
	{
		bool bThere = App->Registry->Exists ("Pause");
		Frame ("fDealer")->bVisible = bThere;
		Object ("oDealer")->bVisible = bThere;
		Frame ("fDealerHandy")->bVisible = false;
		Object ("oFenster")->Text->Cancel ();
		Object ("tSekr")->Text->Cancel ();
		Object ("oFenster")->Text->Add ("<Sollen wir mal Benedikt ausrufen ?>", true, 10);
		return true;
	}
	if (isCmd (CMD_EVENT, "#10"))
	{
		Object ("tSekr")->Text->Add ("<Nicht schon jetzt, sonst fllts noch auf>", true, 11);
		return true;
	}
	if (isCmd (CMD_EVENT, "#11"))
	{
		Object ("oFenster")->Text->Add ("<Hihi>");
		Object ("tSekr")->Text->Add ("<Hihi>");
		return true;
	}
	if (isCmd (CMD_EVENT, "#3"))
	{
		Wait (600);
		App->CurRoom->bBlack = false;
		Object ("oDealer")->Text->Add ("Also, mach's konkret#Tschss", true, 4);
		return true;
	}
	if (isCmd (CMD_EVENT, "#4"))
	{
		Frame ("fDealerHandy")->bVisible = true;
		App->bActive = true;
		return true;
	}
	if (isCmd (CMD_EVENT, "#5"))
	{
		Say ("(Junge der hat doch%echt ein Problem )");
		App->bActive = true;
		return true;
	}
	if (isCmd (CMD_USE, "oTelefon"))
	{
		if (App->Registry->Exists ("Telefon"))
		{
			PlaySound ("sound\\dial.wav", NULL, SND_FILENAME |SND_ASYNC );
			App->CurActor->Text->Add ("0170-324666", true, 6);
			App->bActive = false;
		}
		else
			Say ("Ich wte nicht, wen ich anrufen sollte.");
		return true;
	}
	if (isCmd (CMD_EVENT, "#6"))
	{
		if (Frame ("fDealerHandy")->bVisible)
		{
			Wait (1000);
			PlaySound ("sound\\ring.wav", NULL, SND_FILENAME |SND_ASYNC );
			Frame ("fDealerHandy")->bVisible = false;
			Wait (100);
			App->CurDialog->Open ("dialogs\\dealer.dlg");
		}
		else
		{
			PlaySound ("sound\\phonebusy.wav", NULL, SND_FILENAME |SND_ASYNC );
			Say ("Besetzt.");
		}
		App->bActive = true;
		return true;
	}
	if (isCmd (CMD_LOOKAT, "oDealer"))
	{
		if (Frame ("fDealerHandy")->bVisible)
			Say ("Strbel, der korrekte Dealer");
		else
		{
			Say ("Mhhh, auf dem Handy%steht seine Nummer :#0170-324666.");
			App->Registry->Add ("Telefon");
		}
		return true;
	}
	if (isCmd (CMD_LOOKAT, "oEZettel"))
	{
		if (Frame ("fEZettel")->bVisible)
			Say ("Da sind ja wieder%Entschuldigungszettel !");
		else
			Say ("Mhhh stndig sind die gelben Zettel leer.");
		return true;
	}
	if (isCmd (CMD_PICKUP, "oEZettel"))
	{
		if (Item ("iEZettel")->bVisible)
			Say ("Ich hab schon einen.");
		else if (Frame ("fEZettel")->bVisible)
		{
			Item ("iEZettel")->bVisible = true;
			RedrawItems ();
		}
		else
			Say ("Sind keine mehr da.");
		return true;
	}
	if (isCmd (CMD_GIVE, "iKaffee", "oFenster"))
	{
		Object ("oFenster")->Text->Add ("Danke !");
		Item ("iKaffee")->bVisible = false;
		RedrawItems ();
		return true;
	}
	if (isCmd (CMD_GIVE, "iPherokaff", "oFenster"))
	{
		Object ("oFenster")->Text->Add ("Danke !", true, 8);
		Item ("iPherokaff")->bVisible = false;
		App->Registry->Add ("GlattPheromone");
		RedrawItems ();
		return true;
	}
	if (isCmd (CMD_EVENT, "#8"))
	{
		Say ("(Hehe...perfekt)");
		return true;
	}
	return false;	
}

bool MRooms::Physik ()
{
	if (iCmd == CMD_ENTER)
	{
		POINT posStart = { 542, 334 };
		Actor ("aFallert")->Set (posStart, 0);
		Actor ("aFallert")->UpdateZ ();

		if (App->Registry->Exists ("FallertKassette"))
		{
			CDCommand ("stop cdaudio");
			POINT posStart = { 584,390 };
			Actor ("aFallert")->Set (posStart, 0);
			Actor ("aFallert")->UpdateZ ();
			App->bActive = false;
			App->CurRoom->bBlack = true;
			App->CurActor->Text->Add ("Whrenddessen, im Physikraum...", true, 4);
			App->Registry->Add ("fallertwalk");
			App->CurActor->bVisible = false;
		}
		else if (App->Registry->Exists ("fallertwalk"))
		{
			CDCommand ("play cdaudio from 6 to 7");
			POINT posStart = { 584,390 };
			Actor ("aFallert")->Set (posStart, 0);
			Actor ("aFallert")->UpdateZ ();
			App->CurActor->bVisible = false;
			POINT pos2 = { 416,390 };
			Actor ("aFallert")->Text->Add ("Verdammt !#Der Matheschnitt ist schon wieder#um 0,43 Prozent gesunken !#So kann das nicht weitergehen !#Ich werde nicht zulassen, dass#das TG an letzter Stelle#in der SchulMatheliga landet !#Es gibt jetzt nur noch eine Lsung#ES MUSS GETAN WERDEN !#Der Mathedmon muss erneut #ein Opfer erhalten. !#Ich werde sofort die Lehrerschaft#informieren !!#har har har", true, 3);
			Wait (400);
			Actor ("aFallert")->WalkTo (pos2, 2, 1);
		}
		return true;
	}
	if (isCmd (CMD_EVENT, "#1"))
	{
		POINT pos1 = { 584,390 };
		Wait (200);
		if (App->Registry->Exists ("fallertwalk"))
			Actor ("aFallert")->dirCur = 3;
		Wait (200);
		if (App->Registry->Exists ("fallertwalk"))
			Actor ("aFallert")->WalkTo (pos1, 3, 2);
		return true;
	}
	if (isCmd (CMD_EVENT, "#2"))
	{
		POINT pos2 = { 416,390 };
		Wait (200);
		if (App->Registry->Exists ("fallertwalk"))
			Actor ("aFallert")->dirCur = 2;
		Wait (200);
		if (App->Registry->Exists ("fallertwalk"))
			Actor ("aFallert")->WalkTo (pos2, 2, 1);
		return true;
	}
	if (isCmd (CMD_EVENT, "#3"))
	{
		App->Registry->Remove ("fallertwalk");
		App->CurActor->bVisible = true;
		EnterRoom ("tegang");
		Wait (700);
		App->bActive = true;
		App->Events (CM_CDNOTIFY, 0, 0);
		Say ("Verdammt !#Ich muss die Opferung verhindern !#Ich msste nur wissen, wie...#Und ausserdem, wann das stattfindet.");
		return true;
	}
	if (isCmd (CMD_EVENT, "#4"))
	{
		Wait (400);
		App->CurRoom->bBlack = false;
		POINT pos2 = { 416,390 };
		Actor ("aFallert")->Text->Add ("<UMZ UMZ UMZ UMZ UMZ>#<WARUM GIBT ES KEINEN SCHNITTPUNKT ?>#<UMZ UMZ UMZ--krrrrz>", true, 5);
		PlaySound ("sound\\techno2.wav", NULL, SND_FILENAME |SND_ASYNC );
		Wait (400);
		Actor ("aFallert")->WalkTo (pos2, 2, 1);
		return true;
	}
	if (isCmd (CMD_EVENT, "#5"))
	{
		App->Registry->Remove ("fallertwalk");
		App->Registry->Remove ("FallertKassette");
		Wait (1000);
		Actor ("aFallert")->Text->Add ("Was ist das ?#<Oh lord can you seeee>#AAAHHH mein Kopf !!!!");
		Wait (5000);
		PlaySound ("sound\\glassbreak2.wav", NULL, SND_FILENAME |SND_ASYNC );
		Frame ("fPhysikScheibe")->bVisible = true;
		Wait (4000);
		App->GetRoom ("nacht2")->getFrame ("fNachtScheibe")->bVisible = true;
		App->CurRoom->bBlack = false;
		App->CurActor->bVisible = true;
		App->bActive = true;
		App->Events (CM_CDNOTIFY, 0, 0);
		EnterRoom (App->RoomMgr->strOldRoom);
		return true;
	}
	if (isCmd (CMD_PICKUP, "oFormel"))
	{
		Actor ("aFallert")->Text->Add ("Hey ! Lass das liegen !");
		return true;
	}
	if (isCmd (CMD_LOOKAT, "oFenster"))
	{
		if (Frame ("fPhysikScheibe")->bVisible)
			Say ("Da ist ein Loch drin.");
		else
			Say ("Eine stinknormale Scheibe.");
		return true;
	}
	if (isCmd (CMD_GIVE, "iKassette", "aFallert"))
	{
		if (App->Registry->Exists ("Klirrkassette"))
		{
			Item ("iKassette")->bVisible = false;
			RedrawItems ();
			Wait (700);
			Actor ("aFallert")->Text->Add ("Was ist das ?", true, 10);
			App->RoomMgr->timeFallert = timeGetTime () + 1000;
			App->Registry->Add ("FallertEvent");
			App->bActive = false;
		}
		else
		{
			Say ("(Hmmm... da hab ich nichts davon.)");
		}
		return true;
	}
	if (isCmd (CMD_EVENT, "#10"))
	{
		App->CurActor->Text->Add ("Mathe-Techno !", true, 11);
		return true;
	}
	if (isCmd (CMD_EVENT, "#11"))
	{
		Actor ("aFallert")->Text->Add ("Ha, des muss ich mir mal anhren.");
		App->bActive = true;
		return true;
	}
	return false;
}
bool MRooms::Nacht2 ()
{
	if (isCmd (CMD_LOOKAT, "oFenster") && Frame ("fNachtScheibe")->bVisible)
	{
		Say ("Da ist ein Loch drin.#Hey dahinter liegt ja was, ...");
		return true;
	}
	if (isCmd (CMD_PICKUP, "oFenster") && Frame ("fNachtScheibe")->bVisible && !Item ("iFormelP")->bVisible)
	{
		Item ("iFormelP")->bVisible = true;
		RedrawItems ();
		App->GetRoom ("physik")->getFrame ("fFormelP")->bVisible = false;
		App->GetRoom ("physik")->getObject ("oFormel")->bVisible = false;
		Say ("A-ha !");
		return true;
	}
	return false;
}
