// Abiventure app Mgr
// devilducky@gmx.net

#include "tools.h"
#include "filetools.h"
#include "graphtool.h"
#include "scroll.h"
#include "mmsystem.h"

#define LINES_PER_SCREEN 26

MScroll::MScroll (LPCSTR strFile, MFont *fntNew)
{
	File = new TextFile (strFile);
	Font = fntNew;
}
MScroll::~MScroll ()
{
	delete File;
}
void MScroll::Show ()
{
	char strLine [100][100];
	char strBuf [256];
	
	memset (strLine, 0, 100 * 100 * sizeof(char));

	while (File->GetLine (strBuf))
	{
		// move the lines
		for (MIndex idxLine = 0; idxLine < LINES_PER_SCREEN - 1; idxLine++)
			strcpy (strLine [idxLine], strLine [idxLine + 1]);
		
		strcpy (strLine [LINES_PER_SCREEN - 1], strBuf);

		// display
		for (int posY = 0; posY < Font->iRowHeight; posY++)
		{
			DWORD timeWait = timeGetTime () + 30;
			
			ScreenBack.Clear ();
			for (idxLine = 0;idxLine < LINES_PER_SCREEN; idxLine++)
			{
				Font->PrintCenterText (400, 30 - posY + idxLine * Font->iRowHeight, strLine [idxLine], &ScreenBack);
			}
			
			// flip backbuffer
			CheckDD (Screen.Surface->Flip (NULL, DDFLIP_WAIT ), "flip");
			
			while (timeGetTime () <= timeWait);
		}
	}
}